var g = {};
(function(exports) {

    /*格式化输出*/
    function printf(s, data){
        var num = arguments.length;
        var oStr = s;
        for (var key in data) {
            var pattern = "\\{" +key+ "\\}";
            var re = new RegExp(pattern, "g");
            oStr = oStr.replace(re, data[key]);
        }
        return oStr;
    }
    exports.printf = printf;

    function isArray(obj) {

        return Object.prototype.toString.call(obj) === '[object Array]';
    }
    exports.isArray = isArray;


    function showPreLoading($obj){
        $obj = $("body");
        var winWidth = 0, winHeight = 0;
        if (window.innerWidth)
            winWidth = window.innerWidth;
        else if ((document.body) && (document.body.clientWidth))
            winWidth = document.body.clientWidth;
// 获取窗口高度
        if (window.innerHeight)
            winHeight = window.innerHeight;
        else if ((document.body) && (document.body.clientHeight))
            winHeight = document.body.clientHeight;
        //$(".loading-img").width(winWidth + "px");
        //$(".loading-img").height(winHeight + "px");
        var obj = getParam();
        var cls = obj["color"] || "white";
        var $load = $("<div style='position: absolute;top: 0px;left: 0px' class='pre-load img-loading-" + cls + "' ></div>");
        $load.css({"width":winWidth + "px", height:winHeight + "px"});
        $load.appendTo($obj)
    }
    exports.showPreLoading = showPreLoading;

    function hidePreLoading($obj)
    {
        $obj = $("body");
        if ($obj.find(".pre-load").length > 0)
        {
            $obj.find(".pre-load").remove();
        }


    }
    exports.hidePreLoading = hidePreLoading;

    function showErrTip($obj, flag){
        flag = flag == undefined? 0:flag;
        if ($obj.length < 1) return;
        hidePreLoading();
        if ( $obj.find(".errtip").length > 0)
        {
            $obj.find(".errtip").remove();
        }
        if (flag == 101) // 首次进入加载
        {
            return showPreLoading($obj);
        }
        else if (flag == 0)
        {

        }
        else
        {
            var info = {
                1001:{txt:"尚未添加自选股", cls:"page-err"}, //尚未添加自选股
                1002:{txt:"暂无相关资讯",cls:"page-err"}, //暂无相关资讯
                1003:{txt:"数据请求超时，<span class='err-reload' onclick=';'>重新加载</span>",cls:"page-err"},
                1004:{txt:"已到尽头",cls:"line-err"},
                1005:{txt:"加载中...",cls:"line-err"},
                1006:{txt:"数据请求超时",cls:"line-err"}
            };
            var val = info[flag] || {};
            var $t = $(printf("<div class='errtip {cls}'>{txt}</div>", val));
            $t.appendTo($obj);
            $t.find(".err-reload").unbind("click").bind("click", function(){
               if (window["onErrReload"] && typeof window["onErrReload"] == "function" )
               {
                   window["onErrReload"]($(this));
               }
               else
               {
                   window.location.reload();
               }
            });

        }

    }
    exports.showErrTip = showErrTip;


    /*获取url里面的参数*/
    function getUrlParam() {

        var htmlParam =location.search.substring(1);
        var htmlArray = htmlParam.split("&");
        var objData = {};

        for (var row=0; row<htmlArray.length; row++)
        {
            var a = htmlArray[row].split("=");

            if (a.length >1)
            {
                objData[a[0]] = a[1]
            }
        }
        return objData;
    }
    exports.getUrlParam = getUrlParam;

    function getParam(key){
        var system = "Other";
        var openApp = 0;
        var platform = typeof (navigator.platform) == "undefined" ? "" : navigator.platform.toLowerCase();
        if (platform == "ipod" || platform == "iphone" || platform == "ipad" || platform == "iphone simulator" || platform == "ipad simulator") {
            system = "IOS";
        }
        var userAgent = typeof (navigator.userAgent) == "undefined" ? "" : navigator.userAgent;
        if (userAgent.indexOf("Android") > -1) {
            system = "Android";
        }
        if ( /tdxios/i.test(navigator.userAgent) || /tdxAndroid/i.test(navigator.userAgent))
        {
            openApp = 1;
        }
        //system = "IOS"
        var obj= {_mob_system:system, _open_app:openApp};
        $.extend(true, obj, getUrlParam());
        return key?obj[key]:obj;

    }
    exports.getParam = getParam;


    /*将字符串转换成date格式*/
    function strToDate(strDate){
        var date = eval('new Date(' + strDate.replace(/\d+(?=-[^-]+$)/,
                function (a) { return parseInt(a, 10) - 1; }).match(/\d+/g) + ')');
        return date;

    }
    exports.strToDate = strToDate;
    dateFormat = function(date, formatStr)
    {
        var str = formatStr;
        var Week = ['日','一','二','三','四','五','六'];

        str=str.replace(/yyyy|YYYY/,date.getFullYear());
        str=str.replace(/yy|YY/,(date.getYear() % 100)>9?(date.getYear() % 100).toString():'0' + (date.getYear() % 100));

        var month = date.getMonth() + 1;
        str=str.replace(/MM/,month >9?month.toString():'0' + month);
        str=str.replace(/M/g,month);

        str=str.replace(/w|W/g,Week[date.getDay()]);

        str=str.replace(/dd|DD/,date.getDate()>9?date.getDate().toString():'0' + date.getDate());
        str=str.replace(/d|D/g,date.getDate());

        str=str.replace(/hh|HH/,date.getHours()>9?date.getHours().toString():'0' + date.getHours());
        str=str.replace(/h|H/g,date.getHours());
        str=str.replace(/mm/,date.getMinutes()>9?date.getMinutes().toString():'0' + date.getMinutes());
        str=str.replace(/m/g,date.getMinutes());

        str=str.replace(/ss|SS/,date.getSeconds()>9?date.getSeconds().toString():'0' + date.getSeconds());
        str=str.replace(/s|S/g,date.getSeconds());

        return str;
    }
    exports.dateFormat = dateFormat;

    function formatDate(type, val)
    {

        var ret = "--";
        var today = new Date;
        if (!val || val.length < 8) return ret;
        today = dateFormat(today, "YYYYMMDD");
        var d = strToDate(val);
        d = dateFormat(d, "YYYYMMDD");
        if (type == 1)
        {
            if (d == today)
            {
                ret = dateFormat(strToDate(val), "HH:mm");
            }
            else
            {
                ret = dateFormat(strToDate(val), "MM-DD");
            }
        }
        else if (type==2) // 显示日期
        {
            ret = dateFormat(strToDate(val), "YYYY-MM-DD");
        }
        else if (type==3) // 显示日期
        {
            ret = dateFormat(strToDate(val), "YYYY-MM-DD HH:mm");
        }
        return ret;


    }
    exports.formatDate = formatDate;

    function formatTitle(flag, title){
        var ret = title;
        if (title)
        {
            if (flag == 2)
            {
                var reg = /(-|^)\*?(ST|st)?[\s\u4e00-\u9fa5a]{2,5}[A-Z\uff21]?\s?[\(\（]\d{5,6}(\.HK|.SZ)?[\)\）](\：|\、)?/g;
                ret = ret.replace(reg,"");
            }
            var exg = /\-[0-9]{5,8}[\s]{0,2}$/;

            ret = ret.replace(exg, "");
        }
        return ret;
    }
    exports.formatTitle = formatTitle;


    function CallTQL(funcid, params, callback, options)
    {

        function FormatResult(data) {
            var rd = {ErrorCode:0, ErrorInfo:"", tables:[]};
            if (data == "作业已超时")
            {
                rd.ErrorCode = 9001;
                rd.ErrorInfo = "作业已超时";
                return rd;
            }
            try
            {

                //if (IsAndPlatform() || IsIosPlatform())
                //{
                //    data = data.replace(/\r\n/ig, "<br>");
                //}
                var d = $.parseJSON(data);
            }
            catch (e)
            {
                //alert("错误提示："+e.message);

                rd.ErrorCode = 9002;
                rd.ErrorInfo = "接口请求错误";
                return rd;
            }


            rd.ErrorCode = d.ErrorCode;

            if (rd.ErrorCode != 0) {
                rd.ErrorInfo = d.ErrorInfo;
                return rd;
            }
            rd.CilentSpecifiedKey=d.CilentSpecifiedKey;
            rd.tables = [];

            for (var i = 0; i < d.ResultSets.length; i++) {
                var cols = d.ResultSets[i].ColDes || d.ResultSets[i].ColName || [];
                if (cols.length >0)
                {
                    var colName = typeof cols[0] == "string"? cols[0]:cols[0].Name;
                    if (colName == "total") {
                        if (i - 1 >= 0) {
                            rd.tables[i - 1].total = d.ResultSets[i].Content[0][0];
                        }
                    }
                }

                rd.tables[i] = {};
                rd.tables[i].total = "";
                rd.tables[i].rows = [];
                var cont = d.ResultSets[i].Content;
                for (var j = 0; j < cont.length; j++) {
                    rd.tables[i].rows[j] = {};
                    var cols = d.ResultSets[i].ColDes || d.ResultSets[i].ColName || [];
                    for (var k = 0; k < cols.length; k++) {
                        var colName = typeof cols[k] == "string"? cols[k]:cols[k].Name;
                        rd.tables[i].rows[j][colName] = cont[j][k];
                    }
                }
            }
            return rd;
        }

        function back(data){
            //alert(data)
            //console.log(data);

            data = data.replace(/\r\n/g, "<br>");
            data = data.replace(/\r/g, "<br>");
            data = data.replace(/\n/g, "<br>");
            data = data.replace(/&nbsp;/g, " ");

            data = data.replace(/\t/g, "\\t");

            //将查询的到的 股票名称中的代码转换
            //var exg1 = /id=\"/g;
            //var exg2 = /\"\>/g;
            //var exg3 = /\\\\"/g
            //data = data.replace(exg1, "id=\\\"");
            //data = data.replace(exg2, "\\\">");
            //data = data.replace(exg3, "\\\"");
            console.log(data);
            var data = FormatResult(data);
            callback(data);
        }
        var o = {};
        options = options == undefined? {}:options;
        var entry = "CWServ.SecuInfo";
        if (options.cache == 1)
        {
            entry = "CWServ." + funcid;
            delete  options.cache;
        }
        var stream = {CallName:funcid, Params:params, tdxPageID:'_UrlEncode'};
        if (options)
        {
            $.extend(true, stream, options);
        }
        if(window.activeServerType)
        {
            activeServerType("tqlex");
        }
        //alert(__tdxMobSystem)
        __hqCallTql.send(entry, stream, back)

    }
    exports.CallTQL = CallTQL;

    //获取自选股
    function CallZXG(callback){
        //var data = "[{\"stockcode\":\"600187\", \"setcode\":0}]";
        //if (callback)
        //{
        //    callback(data);
        //}
        function func(data){
            var ret = [];
            var jsonData = [];
            try{
                if (data && typeof data == "string")
                {
                    jsonData = JSON.parse(data);
                }
                else if (data && $.isArray(data))
                {
                    jsonData = data;
                }

            }
            catch (e)
            {
                jsonData = [];
            }
            if (jsonData.length > 3)
            {
                var cols = jsonData[1];
                jsonData.forEach(function(val, index){
                    if (val&& $.isArray(val) && index > 2)
                    {
                        if (val.length >= cols.length)
                        {
                            var o = {};
                            cols.forEach(function(v, i){
                                o[v] = val[i];
                            });
                            ret.push(o);
                        }
                    }
                });
            }
            if (callback)
            {
                callback(ret);
            }

        }
        return __tdxGetZxgList(func)
    }
    exports.CallZXG = CallZXG;

    function CallHQ(funcid, params, callback, options)
    {
        var funcname = "HQServ.CombHQ";
        var Secu = new Array();
        for(var i=0;i<datacode.length;i++){
            Secu.push({Code:datacode[i],Setcode:setcode[i]});
        }
        var json = {
            "WantCol" : ["CLOSE", "NOW"],
            "Secu" : Secu,
            "ExHQFlag": 0
        };
        var bodystr = json;

        function globalBack(data){
            data = data.replace(/\r\n/g, "<br>");
            callback(data,index);
        }
        __hqCallTql.send(funcname, bodystr, globalBack)
    }
    exports.CallHQ = CallHQ;

    function textSubstr(txt, len, app)
    {
        var ret = txt || "";
        len = len == undefined? 9999:len;
        app = app == undefined? "":"...";
        if (txt.length > len)
        {
            ret = ret.substring(0, len) + app;
        }
        return ret

    }

    function jumpPage(url,gnname, opt)
    {
        var o = getParam();
        //console.log(opt)
        //return;
        //alert(JSON.stringify(opt))
        var bgcolor = o["color"] || "write";
        var qsid = o["qsid"] || "0";

        var options = {
            Abstract:"",
            Title:"",
            ImageUrl:"",
            bjh:"0"
        };
        $.extend(true, options, opt);

        //判断是否是在app内调用，是的话就传参数，不是的话就跳转url
        if(o["_open_app"] == 1){

            var param3 = options.Abstract.replace(/"/g, '\\"');
            var param1 = encodeURIComponent(options.Title || "0");
            var param2 = encodeURIComponent(options.ImageUrl || "");
            var param3 = encodeURIComponent(options.Abstract || "");

            gnname = gnname == undefined?"":gnname;
            bjh = options.bjh ==undefined? "0":options.bjh.toString();

            if (o && o["hqip"])
            {
                url = url + "&hqip=" + obj["hqip"];
            }

            var locahref = '';
            var locakUrl = window.location.href.split("?")[0]; //避免后面的参数带有/导致URL取错

            var index = locakUrl.lastIndexOf("/");
            var serverUrl =locakUrl.substring(0, index);
            var hrefM = serverUrl + "/" + url;
            var openParam = {UrlType:"Remote"};
            var shareUrl = hrefM;
            var openType = "native";
            if (window.location.href.match(/^http/) == null) //本地调用
            {
                hrefM =  locahref.concat(url);
                openParam  = {UrlType:"Relative"};
                shareUrl = "site/webapp/app/MobInfo/html/" + url+"&color=" + bgcolor+ '&qsid=' + qsid;
                openType = "native";
                //if ( /tdxios\/1\.00/i.test(navigator.userAgent)  ) // IOS的 标准版收藏和分享 需要到指定的HTTPS的服务器
                //{
                //    shareUrl = "https://tdxhq.icfqs.com:7625" + shareUrl;
                //}
            }

            var param = {OpenName:gnname, OpenParam:openParam ,OpenType:openType, OpenUrl:hrefM, ShareInfo:{jihui:bjh,Title:param1,Abstract:param3,ImageUrl:param2, ShareUrl:shareUrl}};
            //alert(JSON.stringify(param))
            __webCallTql.send("tdxOpenUrl", param, "");
        }
        else{
            // var locahref = window.location.protocol + "//" + window.location.host + '/site/MobInfo/html/';
            url = url+'&color='+bgcolor + '&qsid=' + qsid;
            window.location.assign(url);
        }

    }
    exports.jumpPage = jumpPage;

    var gZxClock = undefined;
    function openZx(flag, rec_id, newslist, title, summary){
        //alert("openzx");
        if (gZxClock)
        {
            clearTimeout(gZxClock);
            gZxClock = undefined;

        }
        gZxClock = setTimeout(function(){
            f(flag, rec_id, newslist, title, summary);
        }, 10);
        function f(flag, rec_id, newslist, title, summary){
            gZxClock = undefined;
            summary = summary || "";
            flag = (flag == "1" && "101") || (flag == "2" && "801") || '101';
            title = title? title:"0";
            var app = newslist? "&newslist="+newslist:"";
            var url = "cjzx.html?clickindex=" + rec_id + "&param=" + flag + app;
            //alert("jump");
            //alert(JSON.stringify(arguments));
            jumpPage(url, "", {Title:title, Abstract:summary});
        }

    }
    exports.openZx = openZx;

    function openZt(rec_id, zxflag, title){
        var url = zxflag=="101"? "zt.html?clickindex=" + rec_id :"zt.html?rec_id=" + rec_id;

        jumpPage(url, "专题", {Title:title, bjh:1});
    }
    exports.openZt = openZt;

    function goStock($obj)
    {

        var ogp = $obj.attr("id").split("_");
        var name =$obj.text() || "";
        __webCallTql.send("tdxOpenNativeModule",{"OpenID":"HQGG", "OpenParam":{"ZQCODE":ogp[2], "ZQSETCODE":ogp[1], "ZQNAME":name}},function(){});

    }
    exports.goStock = goStock;

    function formatZxUrl(issuedate, recId, url)
    {
        return _config.tdxfile +issuedate.match(/\d+-\d+/)[0].replace(/-/,'')+'/'+recId+'/'+url;
    }
    exports.formatZxUrl = formatZxUrl;

    function formatYbTitle(title)
    {

        var exg1 = /\-[0-9]{5,8}[\s]{0,2}$/;
        var exg2 = /[0-9]{6,8}$/;
        console.log(title);

        if (title)
        {
            return title.replace(exg1, "").replace(exg2, "")
        }
        else
        {
            return title;
        }
        //return title?replace(exg, ""):title

    }
    function bindZxClick($obj, data){
        $obj.bind("touchstart", function(event)
        {
            var thisObj = this;
            //var touch = event.touches;
            //if (touch.length >1) return;

                (function (obj, data) {
                    var timeOutEvent = setTimeout(function () {
                        $obj.removeClass(".sel").addClass("sel");
                        timeOutEvent = undefined;
                    }, 100);
                    var ismove = 0;
                    $obj.unbind("touchmove").bind("touchmove", function (event) {
                        if (timeOutEvent) {

                            clearTimeout(timeOutEvent);
                        }
                        ismove = 1;

                    });
                    $("#box").unbind("touchend").bind("touchend", function (event) {
                        $obj.removeClass("sel");
                        if (ismove) return;
                        openZx(data.zxflag || "1", data.rec_id, "", data.title);


                    });
                    $("body").bind("mouseout", function (event) {
                        $obj.removeClass("sel");

                    });

                })(this, data)


        });
   
    }
    exports.bindZxClick = bindZxClick;

    function addLine($obj, $text, rec_id, time)
    {
        if (!$obj || $obj.length < 1) return;
        var maxTime = $obj.find(".one-news:first").length > 0?$obj.find(".one-news:first").attr("issue_date") : "";
        var minTime = $obj.find(".one-news:last").length > 0?$obj.find(".one-news:last").attr("issue_date") : "";
        if (!rec_id ||!time ) return;
        if ($obj.find("[rec_id='"+rec_id+"']").length > 0) return;
        $text.attr("rec_id", rec_id);
        $text.attr("issue_date", time);
        //$text.attr("tit", time);
        $text.removeClass("one-news").addClass("one-news");
        if (maxTime && strToDate(time) - strToDate(maxTime)>= 0 )
        {
            $text.prependTo($obj);
        }
        else if ( minTime && strToDate(time) - strToDate(minTime) <=0)
        {
            $text.appendTo($obj);
        }
        else
        {
            $text.appendTo($obj);
        }
    }
    exports.addLine = addLine;

    function NewsRead(){
        var _self = this;
        _self.readList = [];
        _self.session = "NEWSREAD";
        _self.maxNum = 2000; //最多条数
        _self.obj = window.localStorage? window.localStorage:{};

        _self.create = function(){
           var s = _self.obj[_self.session];
            if (s)
            {
                _self.readList = s.split(",");
            }
        };
        _self.set = function(obj){
            var rec_id = obj["rec_id"] || "";
            var zxflag = obj["zxflag"] || "1";
            if (rec_id)
            {
                var s = rec_id + "|" + zxflag;
                if (_self.readList.length > _self.maxNum)
                {
                    _self.readList.splice(0, 3);
                }
                if (_self.readList.indexOf(s) == -1)
                {
                    _self.readList.push(s);
                    _self.obj[_self.session] = _self.readList.join(",");

                }
            }

        };
        _self.check = function(obj){
            var rec_id = obj["rec_id"] || "";
            var zxflag = obj["zxflag"] || "1";
            if (rec_id)
            {
                var s = rec_id + "|" + zxflag;
                if (_self.readList.indexOf(s) != -1)
                {
                    return 1;

                }
            }
            return 0;
        };
        _self.create();

    }
    exports.NewsRead = NewsRead;

    function QuestNewsList($obj, options){
        var _self = this;
        _self.options = {
            newsTemp:NewsTemp1, //新闻展示的样式
            queryProc:"", //查询过程
            queryParam:[],  //查询的参数
            queryParamFunc:undefined,  //如果存在，则参数有该函数执行
            pageNum:20,  //每次查询的条数
            tempOptions:undefined, // 魔板的参数
            rowNum:0, //取查询的数据集
            cache:0, //1使用缓存过程， 0 不适用缓存过程
            scrollObj:undefined, // 非空时 该div作为滚动
            scrollEvent:1, // 1滚动 底部刷新， 0 不响应事件
            rowInfo:{ title:"Title", content:"Contents", summary:"Summary", issuedate:"Issue_Date", picUrl:"AttachPoto", rec_id:"contentid", zxflag:"zxflag", ztflag:"ztflag"}

        };
        var to = {};
        $.extend( true, to, _self.options.rowInfo, options.rowInfo || {});

        $.extend(true, _self.options, options || {});
        $.extend( true,  _self.options.rowInfo, to);

        _self.$obj = $obj;
        _self.curPage = 1;
        _self.end = 0;
        _self.queryClock=undefined;
        _self.imgid = 1;
        _self.viewHandle = undefined;

        _self.create = function(){
            if (_self._init())
            {
                _self.queryData();
                if( _self.options.scrollEvent == 1)
                {
                    _self.initScroll();
                }

            }
        };

        _self.initScroll = function(){
            if (_self.options.scrollObj)
            {
                _self.options.scrollObj.unbind("scroll").bind("scroll",function(){
                    var $obj = _self.options.scrollObj;
                    var scrollTop = $obj.scrollTop();
                    var height = $obj.height();
                    var scrollHeight = $obj[0].scrollHeight;

                    if (scrollTop + height + 2 >= scrollHeight)
                    {
                        if(!_self.end && _self.queryClock == 0){
                            //执行滚动条滚动到底部代码
                            //加载动画
                            //showloading(0);
                            //请求数据
                            _self.queryPage();
                        }
                    }
                });

            }
            else
            {
                $(window).unbind("scroll").bind("scroll", function() {

                    if(Math.abs(document.documentElement.scrollHeight - document.documentElement.clientHeight - $(window).scrollTop()) < 2){

                        if(!_self.end && _self.queryClock == 0){
                            //执行滚动条滚动到底部代码
                            //加载动画
                            //showloading(0);
                            //请求数据
                            _self.queryPage();
                        }
                    }
                })
            }

        };
        _self.showLoading = function(){


            if (_self.curPage == 1)
            {
                showErrTip(_self.$obj, 101);
            }
            else
            {
                //其余页数显示正在加载
                showErrTip(_self.$obj, 1005);
            }
        };

        _self.hideLoad = function(errorCode){
            return showErrTip(_self.$obj, errorCode);

        };



        _self._init = function(){
            _self.$obj.empty();
            if (_self.$obj.length < 1) return 0;
            //var cls = _self.temps[_self.options.NewsFlag].cls;
            //_self.$ulObj = $("<tbody class='query-news "+cls+"'></tbody>");
            //
            //_self.$ulObj.appendTo(_self.$obj);
            var o = _self.options;
            if (o.newsTemp)
            {
                var options = o.tempOptions? o.tempOptions:{};
                _self.viewHandle = new o.newsTemp(_self.$obj, options);
            }


            return 1;

        };

        _self.queryData = function(){
            _self.curPage = 1;
            _self.queryClock = 0;
            _self.queryPage();
        };

        _self.queryPage = function(){
            return _self.query();
        };

        _self.query = function(){
            _self.showLoading();

            var o = _self.options;
            if (!o.queryProc || _self.queryClock == 1) return;
            var params = o.queryParam;
            if (o.queryParamFunc)
            {
                params = o.queryParamFunc(_self.curPage, o.pageNum);

            }
            _self.queryClock = 1;
            //alert(JSON.stringify(params))
            CallTQL(o.queryProc, params, function(data){
                //alert(JSON.stringify(data))
                _self.queryClock = 0;
                var o = _self.options;
                var rowInfo = o.rowInfo;

                if (data.ErrorCode == 0)
                {

                    var rows = data.tables[o.rowNum] == undefined?[]:data.tables[o.rowNum].rows;
                    var flag = (rows.length < 1 && _self.curPage == 1 && 1002)|| (rows.length < 1 && _self.curPage > 1 && 1004) || 0;
                    if (rows.length < 1) _self.end = 1;
                    _self.curPage ++ ;
                    var d = [];
                    for(var row= 0; row<rows.length; row++)
                    {
                        var rd = rows[row];
                        var rObj = {};
                        for(var key in rowInfo)
                        {
                            var k = rowInfo[key];
                            if (typeof k == "function")
                            {
                                rObj[key] = rowInfo[key](rd) || "";
                            }
                            else
                            {
                                rObj[key] = rd[rowInfo[key]] || "";
                            }


                        }
                        d.push(rObj);

                    }
                    _self.hideLoad(flag);
                    //return;
                    _self.viewHandle.update(d);


                }
                else
                {
                    var flag = (_self.curPage == 1 && 1003)|| (_self.curPage > 1 && 1006) || 0;
                    _self.hideLoad(flag);
                    _self.queryFlag = 0;
                }
            }, {cache: o.cache})

        };

        //_self.create();


    }
    exports.QuestNewsList = QuestNewsList;

   //标题图片类型
    function NewsTemp1($obj, options){
        var _self = this;
        _self.$obj = $obj;
        _self.imgid = 0;
        _self.options = {
            titleFormat : 1 // 1不格式化 2个股行情的格式化规则 3 自选股的格式化规则
            ,showPic:1 // 1展示图片 0 不展示图片
        };
        $.extend(true, _self.options, options);
        _self.create = function(){
            var s = "<ul class='query-news news-1'> </ul>";
            _self.$obj.append(s);
            _self.$ulObj = _self.$obj.find("ul");


        };


        _self.update = function(d)
        {
            var imgs = [];
            var read = new NewsRead();
            d.forEach(function(data, index)
            {
                var newTitle = data.title;
                var bRead = read.check(data);
                var appClass = bRead? " has-read":"";
                if (_self.options.titleFormat != 1)
                {
                    newTitle = formatTitle(_self.options.titleFormat, newTitle);
                }
                //var exg = /-[0-9]{4,8}$/;

                data.newTitle = newTitle;
                if (data.picUrl && _self.options.showPic == 1)
                {
                    _self.imgid++;
                    var imgid = _self.imgid;
                    var ztApp = data.ztflag == "1"?"<div class='topic-point'>专题</div>":"";
                    var s = "<li class='hasimg border one-news"+appClass+"' rec_id='{rec_id}' zxflag='{zxflag}' tit='{title}' summary='{summary}'><div class='news-text'><div class='news-img '><img imgid='{imgid}' class='no-pic''> </div>"
                        +"<div style='vertical-align: top'><div class='news-title fc-title'>"+ztApp+"{newTitle}</div><div class='news-summary fc-summary'>{summary}</div></div></div></li>";
                    data.picUrl = formatZxUrl(data.issuedate, data.rec_id, data.picUrl);
                    data.imgid = _self.imgid;
                    if (imgs)
                    {
                        imgs.push({id:imgid, src:data.picUrl})
                    }
                }
                else
                {
                    var s = "<li class='noimg border one-news"+appClass+"' rec_id='{rec_id}' zxflag='{zxflag}' tit='{title}' summary='{summary}'><div class='news-text'><div class='news-time fc-time'>{issuedate} </div><div class='news-title fc-title'>{newTitle}</div></div></li>";
                }
                var issue = data.issuedate;
                data.issuedate = formatDate(1, data.issuedate);
                //if (data.zxflag == "2")
                //{
                //    data.title = formatYbTitle(data.title);
                //}
                data.summary = data.summary || "";
                var $obj = $(printf(s, data));


                //bindZxClick($obj, data);
                addLine(_self.$ulObj, $obj, data.rec_id, issue, newTitle);
                //$obj.appendTo(_self.$ulObj);
            });
            _self.showImgs(imgs);
        };

        _self.showImgs = function(imgs)
        {
            var times  = 0;
            if (imgs && imgs.length > 0)
            {
                for (var row=0; row<imgs.length; row++)
                {
                    times = times + 500;
                    (function(d, t){
                        setTimeout(function(){
                            $("[imgid='"+ d.id+"']").attr("src", d.src);
                        }, t)
                    })(imgs[row], times);
                }
            }

        };

        _self.create();

    }
    exports.NewsTemp1 = NewsTemp1;

    //纯摘要型
    function NewsTemp2($obj){
        var _self = this;
        _self.$obj = $obj;
        _self.imgid = 0;
        _self.dates = [];

        _self.create = function(){

            _self.$ulObj = $("<ul class='query-news news-2'></ul>");
            _self.$ulObj.appendTo(_self.$obj);



        };
        _self.update = function(d)
        {
            var imgs = [];
            var read = new NewsRead();
            var obj = getParam();
            d.forEach(function(data, index)
            {
                if (!data.summary) return;
                var bRead = read.check(data);
                var appClass = bRead == 1?" has-read":"";
                var today = new Date();
                var pointM = obj["color"] == "black"?"yw_point.png":"yw_point.png";
                today = dateFormat(today, "YYYYMMDD");
                var issue = data.issuedate;
                var d1 = strToDate(data.issuedate);
                if (dateFormat(d1, "YYYYMMDD") && _self.dates.indexOf(dateFormat(d1, "YYYYMMDD")) == -1 )
                {
                    _self.dates.push(dateFormat(d1, "YYYYMMDD"));
                    var $obj = $(printf("<li><div class='news-date'>{date}</div></li>",{date:dateFormat(d1, "MM-DD")}));
                    $obj.appendTo(_self.$ulObj);
                }

                var s = "<li class='clearfix one-news"+appClass+"'  rec_id='{rec_id}' zxflag='{zxflag}' tit='{title}' summary='{summary}'><div class='news-p'><div class='news-point'><img src='../images/"+pointM+"'></div><div class='news-line'></div><div class='news-time fc-zy-time'>{time}</div><div class='news-summary fc-zy-summary'>{summary}</div></div></li>";
                //data.issuedate = formatDate(1, data.issuedate);
                data.summary = data.summary || "";
                var $obj = $(printf(s, {time:dateFormat(d1, "hh:mm"), summary:data.summary, rec_id:data.rec_id, zxflag:data.zxflag, title:data.title}));
                //bindZxClick($obj, data);


                //$obj.appendTo(_self.$ulObj);
                addLine(_self.$ulObj, $obj, data.rec_id, issue);
                var objHeight = $obj.height();
                objHeight = objHeight>25?objHeight-3:0;
                $obj.find(".news-line").height(objHeight); //设置线的高度
            });
            //_self.showImgs(imgs);
        };
        _self.create();

    }


    exports.NewsTemp2 = NewsTemp2;

    //纯摘要型
    function NewsTemp4($obj){
        var _self = this;
        _self.$obj = $obj;
        _self.imgid = 0;
        _self.dates = [];

        _self.create = function(){

            _self.$ulObj = $("<ul class='query-news news-4'></ul>");
            _self.$ulObj.appendTo(_self.$obj);

        };
        _self.update = function(d)
        {
            var imgs = [];
            var read = new NewsRead();
            var obj = getParam();
            d.forEach(function(data, index)
            {
                if (!data.summary) return;
                var bRead = read.check(data);
                var appClass = bRead == 1?" has-read":"";
                var issue = data.issuedate;
                data.issuedate = formatDate(1, data.issuedate);
                var lineWidth = _self.$obj.width();
                var nums = Math.floor((lineWidth*2-160)/15);
                //console.log("linWidth："+lineWidth+",nums:"+nums);
                data.summary_new = textSubstr(data.summary, nums, "...");

                data.summary = data.summary || "";

                var s = "<li class='clearfix one-news noimg border"+appClass+"'  rec_id='{rec_id}' zxflag='{zxflag}' tit='{title}' summary='{summary}'><div> <div class='news-title  fc-title'>{title}</div><div class='news-summary fc-summary'>{summary_new} <div class='news-time fc-time'>{issuedate}</div></div></div></li>";

                var $obj = $(printf(s,data));



                //$obj.appendTo(_self.$ulObj);
                addLine(_self.$ulObj, $obj, data.rec_id, issue);
            });
            //_self.showImgs(imgs);
        };
        _self.create();

    }
    exports.NewsTemp4 = NewsTemp4;


    function NewsTab($obj, options){
        var _self = this;
        _self.options = {
            preSelect: undefined,
            OnSelect: undefined,
            navs:undefined,
            initKey:""
        };

        $.extend(true, _self.options, options || {});

        _self.$obj = $obj;
        _self.create = function(){
            if (_self.options.navs && _self.options.navs.length > 0)
            {
                _self.$obj.empty();
                var $ul = $("<ul class='nav-ul clearfix'></ul>");
                var $space = $("<div class='nav-space'></div>");
                $ul.appendTo(_self.$obj);
                $space.appendTo(_self.$obj);
                _self.options.navs.forEach(function(val, index){
                    var $li = $(printf("<li key='{key}'>{title}</li>", val));
                    $li.appendTo($ul);
                });

            }
            if (_self.$obj.find("ul") < 1) return;
            _self.$obj.find("li").click(function(){
                if ($(this).hasClass("sel")) return;
                _self.$obj.find(".sel").removeClass("sel");
                var key = $(this).attr("key") || "";
                if (_self.options.preSelect) {
                    _self.options.preSelect(key);
                }
                $(this).addClass("sel");
                if (_self.options.OnSelect) {
                    _self.options.OnSelect(key);
                }
            });


            setTimeout(function(){

                if (_self.options.initKey)
                {
                    _self.goPage(_self.options.initKey);

                }
                else
                {
                    _self.$obj.find("li:first").click();
                }

            },100);


        };
        _self.goPage = function(key)
        {
            _self.$obj.find("[key='"+key+"']").click();
        };
        _self.create();

    }
    exports.NewsTab = NewsTab;

    function NewsClick(obj){
        var _self = this;
        var $obj = undefined;
        var id = "";
        if (typeof obj == "string")
        {
            $obj = $("#" + obj);
            id = obj;
        }
        else
        {
            $obj = obj;
            id = $obj.attr("id");
        }

        //document.removeEventListener('touchstart',function(event){_self.start(event )});
        //document.removeEventListener('touchmove',function(event){_self.move(event)});
        //document.removeEventListener('touchend',function(event){_self.end(event)});
        document.getElementById(id).addEventListener('mousedown',function(event){_self.start(event )},false);
        document.getElementById(id).addEventListener('touchmove',function(event){_self.move(event)},false);
        document.getElementById(id).addEventListener('mouseup',function(event){_self.endrun(event)},false);
        //$obj.unbind("touchstart").bind("touchstart", function(event){_self.start(event )});
        //$obj.unbind("touchmove").bind("touchmove", function(event){_self.start(event )});
        //$obj.unbind("touchend").bind("touchend", function(event){_self.start(event )});
        _self.pos = {x:0, y:0};
        _self.rec_id = "";
        _self.zxflag = "";
        _self.clock = undefined;
        _self.top = 0;
        _self.newslist = "";
        _self.end = 0;
        _self.target = undefined;
        _self.title = "";

        _self.start = function(event){
            console.log(event);
            _self.pos.x = event.clientX;
            _self.pos.y = event.clientY;
            //_self.pos.x = event.touches[0].clientX;
            //_self.pos.y = event.touches[0].clientY;
            //_self.top = $(document).scrollTop();
            var target = event.target;
            _self.target = target;
            _self.end = 0;
            var $t = $(target).closest(".one-news");

            if ($(event.target).hasClass("err-reload"))  //重新加载
            {
                _self.end = 1;
                window.location.reload();
                return;
            }
            if ($(event.target).hasClass("stock-link"))
            {
                _self.end = 1;
                g.goStock($(event.target));
                return;
            }

            _self.rec_id = "";
            if ($t.length > 0 && $obj.length > 0)
            {
                $obj.find(".sel").removeClass("sel");
                //$t.removeClass("sel").addClass("sel");
                _self.rec_id = $t.attr("rec_id") || "";
                _self.zxflag = $t.attr("zxflag") || "1";
                _self.title = $t.attr("tit") || "";
                _self.summary = $t.attr("summary") || "";
                var preList = [];
                var nextList = [];
                $t.prevAll(".one-news").each(function(){
                    var rec_id = $(this).attr("rec_id") || "";
                    var zxflag = $(this).attr("zxflag") || "1";
                    if (rec_id)
                    {
                        preList.push(rec_id + "|" + zxflag);
                    }
                });
                preList = preList.reverse();
                $t.nextAll(".one-news").each(function(){
                    var rec_id = $(this).attr("rec_id") || "";
                    var zxflag = $(this).attr("zxflag") || "1";
                    if (rec_id)
                    {
                        nextList.push(rec_id + "|" + zxflag);
                    }
                });
                var allList = [];
                allList = allList.concat(preList.splice(-20), [_self.rec_id + "|" + _self.zxflag ], nextList.splice(0, 20));

                _self.newslist = allList.join(",");
                if (!_self.clock  && _self.rec_id)
                {
                    _self.clock = setTimeout(function () {
                        $t.removeClass(".sel").addClass("sel");
                        _self.clock = undefined;
                    }, 0);
                }
            }

        };
        _self.move = function(event){

            //if (Math.abs(event.targetTouches[0].pageY - _self.pos.y) > 10) // 当检测到有滑动的时候，则会取消
            //{
            //    $obj.find(".sel").removeClass("sel");
            //}
            //_self.clearTIme();

        };
        _self.endrun = function(event){
            console.log(event);
            //alert("end")
            if (_self.end == 1) return;
            //var posX = event.changedTouches[0].clientX;
            //var posY = event.changedTouches[0].clientY;
            var posX  = event.clientX;
            var posY = event.clientY;

            setTimeout(function(){
                _self.clearTIme();
                $obj.find(".sel").removeClass("sel");
                if (Math.abs(posX - _self.pos.x) > 2 || Math.abs(posY - _self.pos.y) > 2 || !_self.rec_id)
                {
                    return;
                }
                console.log(_self.rec_id);
                var $t = $(_self.target).closest(".one-news");
                var $tImg = $(_self.target).closest(".topic-point");
                if ($tImg.length > 0 || $t.hasClass("topic-point") || $t.find(".topic-point").length > 0) //专题跳转
                {

                    var rec_id = $t.attr("rec_id") || "";
                    var zxflag = $t.attr("zxflag") || "1";
                    title = $t.attr("tit") || "";
                    if (rec_id)
                    {
                        //var url = zxflag=="101"? "zt.html?clickindex=" + rec_id :"zt.html?rec_id=" + rec_id;
                        _self.end = 1;
                        //jumpPage(url);
                        openZt(rec_id, zxflag, title);
                        return;
                    }
                }
                $obj.find("[rec_id='"+_self.rec_id+"']").removeClass("has-read").addClass("has-read");
                openZx(_self.zxflag || "1", _self.rec_id, _self.newslist, _self.title, _self.summary);
            },100);

            //

        };

        _self.clearTIme = function()
        {
            if (_self.clock != undefined)
            {
                clearTimeout(_self.clock);
                _self.clock = undefined;
            }
        }
    }
    exports.NewsClick = NewsClick;



    (function init()
    {
        var o = getUrlParam();
        var bgcolor = o["color"] || "white";
        var head = document.getElementsByTagName('head')[0];
        var style = document.createElement('link');
        style.rel = "stylesheet";
        style.type = "text/css";
        style.href = "../css/style_" + bgcolor + ".css";
        head.appendChild(style);
        //showPreLoading();
    })();




})(g);