﻿//适当性管理
TradeManage.order = [
    {
        listen: function (param) {  //交易协议发送监听
            //场内交易委托功能号监听
            if (param["funcid"] == "202" || param["funcid"] == "3000") {    //功能号为202或3000
                //逻辑解释：场内交易大部分功能号都是一样的，所以不仅要按功能号判断，而且还需要按文件名进行筛选
                switch (GetPagePathInfo()["formid"]) {
                    case "cnjjrg":  //场内基金认购
                    case "cnjjsg":  //场内基金申购
                    case "dzjycjqrmr":  //大宗交易成交确认买入
                    case "dzjydjmr":    //大宗交易定价买入
                    case "dzjyphmr":    //大宗交易盘后买入
                    case "dzjyyxmr":    //大宗交易意向买入
                    case "etfsg":   //ETF申购
                    case "etfwsxjrg":   //ETF网上现金认购
                    case "etfwxgprg":   //ETF网下股票认购
                    case "etfwxxjrg":   //ETF网下现金认购
                    case "kjetfsg": //跨境ETF申购
                    case "ksetfswsg":   //跨市ETF实物申购
                    case "ksetfwxgprg": //跨市ETF网下股票认购
                    case "hbjjrg":  //货币基金认购
                    case "hbjjsg":  //货币基金申购
                    case "lofrg":   //LOF认购
                    case "lofsg":   //LOF申购
                    case "gfzrcjqrmr":  //股份转让成交确认买入
                    case "gfzrdjmr":    //股份转让定价买入
                    case "gfzrhbcjqrmr":    //股份转让互报成交确认买入
                    case "gfzrxjmr":    //股份转让限价买入
                    case "xjcpdj":  //现金产品登记
                    case "yysb":    //要约申报
                    case "zqywrzhg":    //债券业务融资回购
                    case "zqywzyck":    //债券业务质押出库
                    case "zyck":    //质押出库
                        param["trade-type"] = "cnjy";   //存储交易类型标志(场内交易)
                        return true;
                    default:
                        break;
                }
            }

            //场外交易委托功能号监听
            if (param["funcid"] == "2100" || param["funcid"] == "2600") {   //功能号为2100或2600，字段F1223为1
                //逻辑解释：场外交易所有的认购和申购委托参数F1223一般都设为1，赎回无F1223，if语句的作用是为了跳过所有赎回功能
                if (param["ix"].Get("F1223") == "1") {
                    param["trade-type"] = "cwjy";   //存储交易类型标志(场外交易)
                    return true;
                }
            }
            if (param["funcid"] == "2104" || param["funcid"] == "2130") {    //功能号为2104或2130
                //逻辑解释：基金转换、基金定投的委托功能号
                param["trade-type"] = "cwjy";   //存储交易类型标志(场外交易)
                return true;
            }
        },
        respond: function (param) {  //交易协议发送拦截
            ShowLoading(2);
            var json = { "F1217": "SDX.CHECK_RISK_PRODUCTCODE," };  //传递给硬代码的交易参数
            switch (param["trade-type"]) {
                case "cnjy":    //场内交易分支添加参数
                    json["F125"] = param["ix"].Get("F125"); //账号类别(从委托协议的入参中获取)
                    json["F123"] = param["ix"].Get("F123"); //股东代码(从委托协议的入参中获取)
                    json["F130"] = param["ix"].Get("F130"); //买卖标志(从委托协议的入参中获取)
                    json["F391"] = GetMobFormDes(GetSendData(2)[0]);    //产品代码(从代码输入框中获取)
                    break;
                case "cwjy":    //场外交易分支添加参数
                    json["F391"] = GetMobFormDes(GetSendData(3)[0]);    //产品代码(从代码输入框中获取)
                    json["F393"] = param["ix"].Get("F426"); //产品公司代码(从委托协议的入参中获取)

                    //如果是基金转换类业务
                    if (typeof (GetSendData_KZCX) == "function") {
                        json["F391"] = GetMobFormDes(GetSendData_KZCX(3)[0]);   //产品代码(从转入代码输入框中获取)
                        if (typeof (KZXXCache) == "object" && KZXXCache.length > 2) {
                            if (typeof (KZXXCache[2]["F426"]) == "string") {
                                json["F393"] = KZXXCache[2]["F426"];    //产品公司代码(从GetSendData_KZCX函数中的case 2查询的返回数据中获取)
                            }
                        }
                    }
                    break;
                default:
                    break;
            }

            //调用硬代码适当性流程
            CallAppFunc(json, "WebCall:tdxSdxCheckUp", function (ref) {
                var data = ref;
                try {
                    data = JSON.parse(ref);
                }
                catch (err) {
                }
                switch (typeof (data)) {
                    case "object":
                        if (typeof (data[0]) == "object") {
                            if (Number(data[0][0]) == 0) {
                                ShowLoading(1, "正在提交...");
                                TradeManage.order[0].param["ix"].Set("F1217", "SDX.ORDER,");    //备注(委托协议新增参数)
                                var jsonData = FormatMobListData(data);
                                if (typeof (jsonData) == "object" && jsonData.length > 2) {
                                    TradeManage.order[0].param["ix"].Set("F1284", jsonData[2]["F1284"]);    //信息标题(委托协议新增参数)
                                }
                                TradeManage.next(); //页面流程放行(继续发送委托协议)
                            }
                        }
                        else {
                            alert(GetMobTextZH(JSON.stringify(data)));
                        }
                        break;
                    case "string":
                        alert(GetMobTextZH(data));
                        break;
                    default:
                        alert(GetMobTextZH("返回数据格式有误，无法显示返回结果！"));
                        break;
                }
            });
        }
    }
];