﻿//交易发送协议(LOF认申)
GetSendData = function (n, json) {
    var funcid = "";
    var ix = new IXContent();
    switch (n) {
        case -1: //返回表单切换时文本替换字符
            return [["认购", "申购"]];
        case 0: //返回表单多选下拉框所需内容(股东代码字段、股东代码内容、交易类型ID、交易类型内容)
            return ["F123", json["gddm"][0], "F130", ["认购", "申购"]];
        case 10: //股份查询(认购)
            funcid = "1114";    //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F1207", "P");   //起始序号
            ix.Set("F113", "10");   //操作标志
            break;
        case 11: //股份查询(申购)
            funcid = "1114";    //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F1207", "P");   //起始序号
            ix.Set("F113", "10");   //操作标志
            break;
        case 2: //返回证券信息查询所需字段名(证券代码)
            return ["F140"];
        case 30: //证券信息查询(认购)
            funcid = "1124";    //功能号
            ix.Set("F125", json["zhlb"]);   //账号类别
            ix.Set("F123", json["gddm"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F130", "81");   //买卖标志
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F397", "9");    //产品标志
            ix.Set("F166", "-1");   //委托方式
            break;
        case 31: //证券信息查询(申购)
            funcid = "1124";    //功能号
            ix.Set("F125", json["zhlb"]);   //账号类别
            ix.Set("F123", json["gddm"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F130", "79");   //买卖标志
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F397", "9");    //产品标志
            ix.Set("F166", "-1");   //委托方式
            break;
        case 4: //返回证券信息展示所需字段名(证券名称、最大可买)
            return ["F141", "F211"];
        case 5: //行情查询
            funcid = "102"; //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F140", json["F140"]);   //证券代码
            break;
        case 60: //计算可买(卖)数(认购)
            funcid = "110"; //功能号
            ix.Set("F125", json["zhlb"]);   //账号类别
            ix.Set("F123", json["gddm"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F130", "81");   //买卖标志
            ix.Set("F301", json["F301"]);   //可用资金
            ix.Set("F166", "0");    //委托方式
            ix.Set("F514", "0");    //投保标志
            ix.Set("F397", "9");    //产品标志
            break;
        case 61: //计算可买(卖)数(申购)
            funcid = "110"; //功能号
            ix.Set("F125", json["zhlb"]);   //账号类别
            ix.Set("F123", json["gddm"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F130", "79");   //买卖标志
            ix.Set("F301", json["F301"]);   //可用资金
            ix.Set("F166", "0");    //委托方式
            ix.Set("F514", "0");    //投保标志
            ix.Set("F397", "9");    //产品标志
            break;
        case 7: //返回可买(卖)数展示所需字段名(可用股份)
            return ["F201"];
        case 8: //返回表单提交所需字段名(账号类别、股东代码、证券代码、证券名称、委托数量)
            return ["F125", "F123", "F140", "F141", "F144"];
        case 90: //表单提交(认购)
            funcid = "202"; //功能号
            ix.Set("F125", json["F125"]);   //账号类别
            ix.Set("F123", json["F123"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F130", "81");   //买卖标志
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F145", "1.000"); //委托价格
            ix.Set("F133", "0");    //交易单位
            ix.Set("F144", json["F144"]);   //委托数量
            ix.Set("F166", "0");    //委托方式
            ix.Set("F397", "9");    //产品标志
            break;
        case 91: //表单提交(申购)
            funcid = "202"; //功能号
            ix.Set("F125", json["F125"]);   //账号类别
            ix.Set("F123", json["F123"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F130", "79");   //买卖标志
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F145", "1.000"); //委托价格
            ix.Set("F133", "0");    //交易单位
            ix.Set("F144", json["F144"]);   //委托数量
            ix.Set("F166", "0");    //委托方式
            ix.Set("F397", "9");    //产品标志
            break;
        default:
            break;
    }
    return [funcid, ix];
}