webpackJsonp([0],[
/* 0 */,
/* 1 */,
/* 2 */,
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

__webpack_require__(2);

__webpack_require__(5);

var _base = __webpack_require__(4);

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var platform = tdxCheckMobSys();

var FlowBox = function () {

  /*
    el 挂在的id
    conf 配置参数
      {
      retinfo,        对应198应答的 TDX_ID_RETINFO
      lx,             对应198应答的 TDX_ID_LX
      param           对应198应答的 TDX_ID_XT_PARAM
    }
  */
  function FlowBox(el, conf) {
    _classCallCheck(this, FlowBox);

    this.$el = $(el);
    this.conf = conf;

    this.prefix = parseInt(Math.random() * 10000).toString(16);

    this.run();
  }

  // 启动函数


  _createClass(FlowBox, [{
    key: "run",
    value: function run() {

      this.$el.empty();
      this.$el.hide();

      // 解析参数
      this.box = this.parseParam();

      /*
        提示框新加参数
            lx: (0或者空文本 1、URL文件 2、html)
          param: (阅读时间(单位：秒),提示框宽度,提示框长度,)
      */
      var lx = this.conf.lx;
      var title = this.box.title;

      // 设置 APP Topbar 栏

      if (title) {

        webCallTql.send("tdxSetTopbarTitle", {
          "Title": title
        }, function () {});
      }

      var bodyStr = void 0;
      if (lx == 1) {
        bodyStr = this.getUrlBox();
      } else if (lx == 2) {
        bodyStr = this.getHtmlBox();
      } else if (lx == 3) {
        bodyStr = this.getInputBox();
      } else {
        bodyStr = this.getTxtBox();
      }

      var btnStr = this.getBtnStr();

      // 计算界面高度
      var ht = $(window).height();
      var boxStyle = "height: " + (ht - 20) + "px;margin-top:10px;";

      // <div class="tdx-flowbox-head">${title}</div>
      this.$el.append("\n      <div class=\"tdx-flowbox\" style=\"" + boxStyle + "\">\n        " + bodyStr + "\n        " + btnStr + "\n      </div>\n    ");

      this.$el.slideDown("slow");

      // 绑定函数处理
      this.initEvent();
    }
  }, {
    key: "initEvent",
    value: function initEvent() {

      var that = this;
      var _that$conf = that.conf,
          callback = _that$conf.callback,
          btncks = _that$conf.btncks;

      that.$el.find(".tdx-flowbox-btn-normal").unbind("click").bind("click", function () {

        var flag = $(this).attr("flag");

        // 这里需要获取流程中的输入框内容，如果有的话
        var $ipt = $("#" + that.prefix + "_ipt");
        if ($ipt.length > 0) {

          var value = $ipt.val();

          // 先确定这个地方，哪个按钮是提交验证码
          var ck = btncks[flag];

          if (value == "" && ck == 9) {
            tdxAlert("请输入内容");
          } else {
            callback(flag, value);
          }
          return;
        }

        callback(flag);
      });

      $("#" + that.prefix + "_yzm").bind("click", function () {

        var $el = $(this);
        var name = $el.attr("btnname");
        var count = $el.attr("count");
        var flag = $el.attr("flag");

        // 按钮不能点
        $el.attr("disabled", true);
        $el.html(name + "(" + count + ")");

        var timer = setInterval(function () {

          count--;
          if (count <= 0) {

            clearTimeout(timer);
            $el.attr("disabled", false);
            $el.html("" + name);
          } else {

            $el.html(name + "(" + count + ")");
          }
        }, 1000);

        callback(flag);
      });
    }

    // url 类型提示框

  }, {
    key: "getUrlBox",
    value: function getUrlBox() {
      var info = this.box.info;

      // 增加外层 div 是为了兼容 ios 下载入 iframe 的高度

      var bodyStyle = "height: " + ($(window).height() - 75) + "px;";

      return "\n      <div class=\"tdx-flowbox-body tdx-flowbox-url\" style=\"" + bodyStyle + "\">\n        <iframe src=\"" + encodeURI(info) + "\"></iframe>\n      </div>\n    ";
    }

    // 输入类型提示框

  }, {
    key: "getInputBox",
    value: function getInputBox() {

      var bodyStyle = "height: " + ($(window).height() - 75) + "px;";

      return "\n      <div class=\"tdx-flowbox-body tdx-flowbox-body-input\" style=\"" + bodyStyle + "\">\n        <input type=\"number\" class=\"tdx-flowbox-input\" id=\"" + this.prefix + "_ipt\"></input>\n      </div>\n    ";
    }

    // html类型提示框

  }, {
    key: "getHtmlBox",
    value: function getHtmlBox() {
      var info = this.box.info;

      // 如果返回的内容没有 base64

      if (info.indexOf("table") >= 0 || info.indexOf("body") >= 0) {

        info = info.replace(/\\r\\n/g, "\r\n");
        info = info.replace(/\\r/g, "\r");
        info = info.replace(/\\n/g, "\n");
        info = info.replace(/\\t/g, "\t");
      } else {

        info = (0, _base.decode)(info);
      }

      var bodyStyle = "height: " + ($(window).height() - 75) + "px;";

      // 这里我们兼容下微信中，iframe 下显示不错协议书的问题
      if (platform == "WX") {

        return "\n        <div class=\"tdx-flowbox-wx-body\" style=\"" + bodyStyle + "\">\n          " + info + "\n        </div>\n      ";
      } else {

        return "\n        <div class=\"tdx-flowbox-body\" style=\"" + bodyStyle + "\">\n          <iframe src=\"data:text/html;charset=utf-8," + encodeURI(info) + "\"></iframe>\n        </div>\n      ";
      }
    }

    // 文本提示框

  }, {
    key: "getTxtBox",
    value: function getTxtBox() {
      var info = this.box.info;

      // 文本内容，转下里面的 \\r\\n, \\t 等字符

      info = info.replace(/\\r\\n/g, "<br>");
      info = info.replace(/\\r/g, "\r");
      info = info.replace(/\\n/g, "\n");
      info = info.replace(/\\t/g, "\t");

      var bodyStyle = "height: " + ($(window).height() - 75) + "px;";

      return "\n      <div class=\"tdx-flowbox-body\" style=\"" + bodyStyle + "\">" + info + "</div>\n    ";
    }

    // 获取按钮内容

  }, {
    key: "getBtnStr",
    value: function getBtnStr() {
      var _box = this.box,
          btnnum = _box.btnnum,
          btn = _box.btn;
      var _conf = this.conf,
          btncks = _conf.btncks,
          param = _conf.param;

      var btnStr = [];
      var btnName = btn.split(",");

      for (var i = 0; i < btnnum; i++) {

        // 发送验证码按钮
        if (btncks[i] == 8) {

          // 解析出倒计时时间
          var count = param.split(",")[2];
          var name = btnName[i];

          btnStr.push("\n          <button class=\"tdx-btn-default tdx-flowbox-btn tdx-flowbox-btn-yzm\"\n            flag=\"" + i + "\"\n            id=\"" + this.prefix + "_yzm\"\n            btnname=\"" + name + "\"\n            count=\"" + count + "\">\n            " + name + "\n          </button>\n        ");
        } else {

          btnStr.push("\n          <button class=\"tdx-btn-default tdx-flowbox-btn tdx-flowbox-btn-normal\" \n            flag=\"" + i + "\">\n            " + btnName[i] + "\n          </button>\n        ");
        }
      }

      btnStr = "\n      <div class=\"tdx-flowbox-foot\">\n        " + btnStr.join("") + "\n      </div>\n    ";

      return btnStr;
    }
  }, {
    key: "parseParam",
    value: function parseParam() {

      /*
        TDX_ID_RETINFO格式："{T}名称{T}链接{T}内容{T}个数{T}名称{T}提示框标题{T}阅读提示术语{T}"
        范例：
        SafeSprintf( szRetInfo, sizeof(szRetInfo), "%s{T}%s{T}%s{T}%s{T}%s{T}%s{T}%s{T}%s{T}%s{T}", 
          "",                                                 // 字段1：由于出参已经有字段TDX_ID_XT_MESSAGETITLE填充返回，此位置不用填，预留
          "《银行理财产品风险揭示书和客户协议》",             // 字段2：名称（如果有多个，用","分隔）
          szFxslj,                                            // 字段3：链接（如果有多个，用","分隔）
          "您购买的金融产品，可能存在一定的投资风险。\r\n",    // 字段4：文本内容
          "2",                                                // 字段5: 按钮个数（1或者2）
          "确认,取消",                                        // 字段6：按钮名称：例子1（确定,取消）
          "银行理财业务风险揭示书",                            // 字段7：提示框标题
          "以上信息确认同意{#}",                                  // 字段8：阅读提示术语
          ""                                                  // 字段9：阅读时间（单位：秒）
        );
      */
      var retinfo = this.conf.retinfo;


      var arr = retinfo.split("{T}");

      return {
        info: arr[3],
        title: arr[6],
        btnnum: arr[4],
        btn: arr[5]
      };
    }
  }]);

  return FlowBox;
}();

exports.default = FlowBox;

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var decode = exports.decode = function decode(src) {

    return utf8to16(base64Decode(src));
};

var base64EncodeChars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
var base64DecodeChars = new Array(-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 62, -1, -1, -1, 63, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, -1, -1, -1, -1, -1, -1, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, -1, -1, -1, -1, -1, -1, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, -1, -1, -1, -1, -1);

var base64Decode = function base64Decode(str) {

    var c1 = void 0,
        c2 = void 0,
        c3 = void 0,
        c4 = void 0;
    var i = void 0,
        len = void 0,
        out = void 0;

    len = str.length;
    i = 0;
    out = "";
    while (i < len) {
        /* c1 */
        do {
            c1 = base64DecodeChars[str.charCodeAt(i++) & 0xff];
        } while (i < len && c1 == -1);
        if (c1 == -1) break;

        /* c2 */
        do {
            c2 = base64DecodeChars[str.charCodeAt(i++) & 0xff];
        } while (i < len && c2 == -1);
        if (c2 == -1) break;

        out += String.fromCharCode(c1 << 2 | (c2 & 0x30) >> 4);

        /* c3 */
        do {
            c3 = str.charCodeAt(i++) & 0xff;
            if (c3 == 61) return out;
            c3 = base64DecodeChars[c3];
        } while (i < len && c3 == -1);
        if (c3 == -1) break;

        out += String.fromCharCode((c2 & 0XF) << 4 | (c3 & 0x3C) >> 2);

        /* c4 */
        do {
            c4 = str.charCodeAt(i++) & 0xff;
            if (c4 == 61) return out;
            c4 = base64DecodeChars[c4];
        } while (i < len && c4 == -1);
        if (c4 == -1) break;
        out += String.fromCharCode((c3 & 0x03) << 6 | c4);
    }
    return out;
};

var utf8to16 = function utf8to16(str) {
    var out, i, len, c;
    var char2, char3;

    out = "";
    len = str.length;
    i = 0;
    while (i < len) {
        c = str.charCodeAt(i++);
        switch (c >> 4) {
            case 0:case 1:case 2:case 3:case 4:case 5:case 6:case 7:
                // 0xxxxxxx
                out += str.charAt(i - 1);
                break;
            case 12:case 13:
                // 110x xxxx   10xx xxxx
                char2 = str.charCodeAt(i++);
                out += String.fromCharCode((c & 0x1F) << 6 | char2 & 0x3F);
                break;
            case 14:
                // 1110 xxxx  10xx xxxx  10xx xxxx
                char2 = str.charCodeAt(i++);
                char3 = str.charCodeAt(i++);
                out += String.fromCharCode((c & 0x0F) << 12 | (char2 & 0x3F) << 6 | (char3 & 0x3F) << 0);
                break;
        }
    }

    return out;
};

/***/ }),
/* 5 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 6 */,
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TdxModWjcp = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }(); // require("es5-shim")
// require("es5-shim/es5-sham")

/**
 * 问卷测评组件
 * @constructor
 */


__webpack_require__(2);

__webpack_require__(17);

__webpack_require__(0);

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var TdxModWjcp = exports.TdxModWjcp = function () {
  function TdxModWjcp(el, conf) {
    _classCallCheck(this, TdxModWjcp);

    this.$el = $(el);
    this.conf = conf || {};
    this.prefix = parseInt(Math.random() * 1000).toString(16);

    // 问卷唯一标示
    this.id = this.prefix + "-wjcp";
    this.issending = false; // 是否在发送测评请求

    this.run = this.run.bind(this);
    this.fmtInfoHtml = this.fmtInfoHtml.bind(this);
    this.fmtQHtml = this.fmtQHtml.bind(this);
    this.fmtSingleQHtml = this.fmtSingleQHtml.bind(this);
    this.fmtRadioQHtml = this.fmtRadioQHtml.bind(this);
    this.fmtCheckQHtml = this.fmtCheckQHtml.bind(this);
    this.fmtBtnHtml = this.fmtBtnHtml.bind(this);
    this.btnClick = this.btnClick.bind(this);

    this.run();
  }

  /**
   * 启动函数
   */


  _createClass(TdxModWjcp, [{
    key: "run",
    value: function run() {

      var that = this;

      // 清空原来的内容，绑定入口div
      this.$el.empty();
      this.$el.append("<div id=\"" + that.id + "\" class=\"tdx-wjcp\"></div>");
      var $wjcp = this.$el.find(".tdx-wjcp");

      // 添加提示信息
      $wjcp.append(this.fmtInfoHtml());

      // 添加题目信息
      $wjcp.append(this.fmtQHtml());

      // 添加尾部提示信息
      $wjcp.append(this.fmtTailHtml());

      // 添加按钮
      $wjcp.append(this.fmtBtnHtml());

      // 绑定事件函数
      var id = "#" + this.prefix + "-btn";
      $(id).unbind().bind("click", function () {
        // if(!that.issending) {
        // that.issending = true;
        that.btnClick();
        // }
      });
    }

    /*
      生成尾部信息
    */

  }, {
    key: "fmtTailHtml",
    value: function fmtTailHtml() {
      var _conf = this.conf,
          hastail = _conf.hastail,
          qtail = _conf.qtail,
          qdata = _conf.qdata;


      if (!hastail) {
        return "";
      }

      var info = void 0;
      info = qdata.slice(0, 1)[0] || {};
      if (info[qtail.field]) {

        return "\n        <div class=\"tdx-wjcp-tail\">\n          " + info[qtail.field] + "\n        </div>\n      ";
      }
    }

    /**
     * 生成提示信息
     */

  }, {
    key: "fmtInfoHtml",
    value: function fmtInfoHtml() {
      var _conf2 = this.conf,
          hasinfo = _conf2.hasinfo,
          qinfo = _conf2.qinfo,
          qdata = _conf2.qdata;


      if (!hasinfo) {
        return "";
      }

      var info = void 0;
      info = qdata.slice(0, 1)[0] || {};
      return "\n      <div class=\"tdx-wjcp-info\">\n        " + (info[qinfo.field] || qinfo.txt) + "\n      </div>\n    ";
    }

    /**
     * 生成题目
     */

  }, {
    key: "fmtQHtml",
    value: function fmtQHtml() {

      var that = this;
      var _that$conf = that.conf,
          qdata = _that$conf.qdata,
          qinfo = _that$conf.qinfo,
          hasinfo = _that$conf.hasinfo;

      var rows = qdata;

      if (rows.length == 0) {
        return "";
      }

      if (hasinfo && rows[0][qinfo.field]) {
        rows = rows.slice(1);
      }

      var qHtmlArr = [];
      rows.map(function (row, index) {

        qHtmlArr.push(that.fmtSingleQHtml(row, index));
      });

      return qHtmlArr.join("");
    }

    /**
     * 生成单一题目
     */

  }, {
    key: "fmtSingleQHtml",
    value: function fmtSingleQHtml(row, index) {
      var qtype = this.conf.qtype;

      if (row[qtype.field] == (qtype.value || 0)) {
        return this.fmtRadioQHtml(row, index);
      } else {
        return this.fmtCheckQHtml(row, index);
      }
    }

    /**
     * 生成单选题目
     */

  }, {
    key: "fmtRadioQHtml",
    value: function fmtRadioQHtml(row, index) {

      var that = this;
      var _conf3 = this.conf,
          qtitle = _conf3.qtitle,
          qans = _conf3.qans;


      var title = "<div class=\"tdx-wjcp-q-title\">" + row[qtitle.field] + "</div>";
      var ans = [];
      qans.fields.map(function (field, findex) {

        if (!row[field]) return;

        var name = that.prefix + "-" + index;
        var id = that.prefix + "-" + index + "-" + findex;

        ans.push("\n        <div class=\"tdx-wjcp-q-ans\">\n          <input id=\"" + id + "\" type=\"radio\" name=\"" + name + "\">\n          <label for=\"" + id + "\">" + row[field] + "</label>\n        </div>\n      ");
      });

      return "\n      <div class=\"tdx-wjcp-q\">\n        " + title + "\n        " + ans.join("") + "\n      </div>\n    ";
    }

    /**
     * 生成多选题目
     */

  }, {
    key: "fmtCheckQHtml",
    value: function fmtCheckQHtml(row, index) {

      var that = this;
      var _conf4 = this.conf,
          qtitle = _conf4.qtitle,
          qans = _conf4.qans;


      var title = "<div class=\"tdx-wjcp-q-title\">" + row[qtitle.field] + "</div>";
      var ans = [];
      qans.fields.map(function (field, findex) {

        if (!row[field]) return;

        var id = that.prefix + "-" + index + "-" + findex;

        ans.push("\n        <div class=\"tdx-wjcp-q-ans\">\n          <input id=\"" + id + "\" type=\"checkbox\">\n          <label for=\"" + id + "\">" + row[field] + "</label>\n        </div>\n      ");
      });

      return "\n      <div class=\"tdx-wjcp-q\">\n        " + title + "\n        " + ans.join("") + "\n      </div>\n    ";
    }

    /**
     * 生成按钮
     */

  }, {
    key: "fmtBtnHtml",
    value: function fmtBtnHtml() {

      var id = this.prefix + "-btn";

      return "\n      <div class=\"tdx-btn-default tdx-wjcp-submit\" id=\"" + id + "\">\n        \u63D0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\u4EA4\n      </div>\n    ";
    }

    /**
     * 按钮点击响应
     */

  }, {
    key: "btnClick",
    value: function btnClick() {
      var _conf5 = this.conf,
          hasinfo = _conf5.hasinfo,
          qinfo = _conf5.qinfo,
          qdata = _conf5.qdata,
          qsubmit = _conf5.qsubmit;

      var rows = qdata;
      if (hasinfo && rows[0][qinfo.field]) {
        rows = rows.slice(1);
      }

      // 搜集答案
      var ans = new Array(rows.length);
      var ras = $("#" + this.id + " input[type=\"radio\"]:checked");
      var cks = $("#" + this.id + " input[type=\"checkbox\"]:checked");

      var i = 0;
      for (i = 0; i < ras.length; i++) {
        var id = ras[i].id;

        var qarr = id.split("-");
        var qno = qarr[1],
            qans = qarr[2];
        ans[qno] = qans;
      }

      for (i = 0; i < cks.length; i++) {
        var id = cks[i].id;

        var _qarr = id.split('-');
        var _qno = _qarr[1],
            _qans = _qarr[2];
        if (!ans[_qno]) {
          ans[_qno] = [];
        }
        ans[_qno].push(_qans);
      }

      // 规则答案，并检查哪些题目没有选择
      var uans = [];
      for (i = 0; i < ans.length; i++) {
        var aa = ans[i];
        if (!aa) {
          uans.push(i + 1);
        } else if (typeof aa != "string") {
          ans[i] = aa.join("");
        }
      }

      if (uans.length > 0) {

        tdxAlert("\u9898\u76EE\uFF1A" + uans.join(",") + " \u672A\u9009\u62E9\uFF0C\u8BF7\u9009\u62E9\u518D\u63D0\u4EA4");
        return;
      }

      // 调用注册函数
      qsubmit(ans);
    }
  }]);

  return TdxModWjcp;
}();

if (window) {
  window["TdxModWjcp"] = TdxModWjcp;
}

/***/ }),
/* 8 */,
/* 9 */,
/* 10 */,
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__(7);

__webpack_require__(0);

var _flowbox = __webpack_require__(3);

var _flowbox2 = _interopRequireDefault(_flowbox);

var _req = __webpack_require__(1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var featureid = "Mobile.js.webforjs69";

// 缓存中的数据
var sdxCache = void 0;

// 启动函数
var pageInit = function pageInit() {

  // debugger;
  _req.webCallTql.send("tdxWebGetCacheData", {
    "WebCacheKey": "sdx_fxcp_in"
  }, function (data) {

    if (data.length > 0) {
      data = FormatResult(data);
      sdxCache = data.rows[0];
    } else {
      sdxCache = {};
    }

    // 清空 cache
    _req.webCallTql.send("tdxWebSetCacheData", {
      "WebCacheKey": "sdx_fxcp_in",
      "WebCacheValue": ""
    }, function (data) {});

    getQ();
  });
};

// 获取试题
var getQ = function getQ() {

  _req.jyCallTql.send("138", {
    "F1217": sdxCache["F1217"] || "SDX.QUESTION.SHOW,",
    "F1284": sdxCache["F1284"] || "",
    "F362": featureid,
    "F393": sdxCache["F391"] || "",
    "F391": sdxCache["F391"] || "",
    "F1227": sdxCache["F1227"] || "",
    "F234": "6", // 为了接口隐藏最后的4道题目
    "F1299": "1"
  }, function (data) {
    // debugger;
    if (typeof data != "string") {
      data = JSON.stringify(data);
      data = data.replace(/\\\\r\\\\n/g, "<br>");
    }
    // debugger;
    data = FormatResult(data);
    if (data.ErrorCode != 0) {
      tdxAlert(data.ErrorInfo);
      return;
    }

    // 在这里判断接口是否有提示字段返回
    var hasinfo = parseInt(data.rows[0]["F197"]) > 0 ? 0 : 1;

    var tmw = new TdxModWjcp("#app", {
      hasinfo: hasinfo,
      qinfo: {
        field: "F149"
      },
      hastail: 1,
      qtail: {
        field: "F250"
      },
      qtitle: {
        field: "F149"
      },
      qtype: {
        field: "F1228"
      },
      qans: {
        fields: ["F340", "F341", "F342", "F343", "F344", "F345", "F346", "F347", "F348", "F349"]
      },
      qdata: data.rows,
      qsubmit: qSubmit
    });
  });
};

// 清除选中的试题
var clearQ = function clearQ() {

  $("#app").find("input").attr("checked", false);
};

var qSubmit = function qSubmit(ans) {

  // debugger;
  if (conf.ansAddZero) {
    ans = "0;" + ans.join(";") + ";";
  } else {
    ans = ans.join(";") + ";";
  }

  sdxBefore(ans);
};

// 试题提交前适当性检查
var sdxBefore = function sdxBefore(ans) {

  if (conf.sdxBefore) {

    _req.webCallTql.send("tdxSdxCheckUp", {

      "F1217": conf.sdxBeforeRemark,
      "F362": featureid,
      "F1227": sdxCache["F1227"] || "",
      "F149": ans,
      "F113": "0",
      "F234": "6",
      "F1299": "1"
    }, function (data) {

      data = FormatResult(data);

      // 适当性检查通过
      if (data.ErrorCode == 0) {

        ansSdx(ans, data.rows[0]);
      }
    });
  } else {
    ansSdx(ans);
  }
};

// 适当性预提交结果
var ansSdx = function ansSdx(ans, row) {

  row = row || {};

  if (conf.ansSdx) {

    _req.webCallTql.send("tdxSdxCheckUp", {
      "F1217": conf.ansSdxRemark,
      "F362": featureid,
      "F1227": row["F1227"] || "",
      "F1284": row["F1284"],
      "F149": ans,
      "F113": "0",
      "F234": "6",
      "F1299": "1"
    }, function (data) {

      data = FormatResult(data);
      if (data.ErrorCode == 0) {
        ansSubmit(ans, data.rows[0]);
      }
    });
  } else {

    // 结果提交
    ansSubmit(ans);
  }
};

// 答案确认提交
var ansSubmit = function ansSubmit(ans, row) {

  row = row || {};
  if (conf.ansSubmit) {

    _req.jyCallTql.send("136", {
      "F1217": conf.ansSubmitRemark,
      "F362": featureid,
      "F1227": row["F1227"],
      "F1284": row["F1284"],
      "F149": ans,
      "F113": "0",
      "F234": "6",
      "F1299": "1"
    }, function (data) {

      data = FormatResult(data);
      if (data.ErrorCode != 0) {
        tdxAlert(data.ErrorInfo);
        return;
      }

      var info = data.rows[0]["F149"];
      if (info) {
        tdxAlert(info, function () {
          sdxAfter(ans, row);
        });
      } else {
        sdxAfter(ans, row);
      }
    });
  } else {

    sdxAfter(ans, row);
  }
};

// 后面的适当性检查
var sdxAfter = function sdxAfter(ans, row) {

  row = row || {};

  if (conf.sdxAfter) {

    _req.webCallTql.send("tdxSdxCheckUp", {
      "F1217": conf.sdxAfterRemark,
      "F362": featureid,
      "F1227": row["F1227"],
      "F1284": row["F1284"]
    }, function (data) {

      data = FormatResult(data);
      if (data.ErrorCode == 0) {
        retSubmit();
      }
    });
  } else {

    retSubmit();
  }
};

// 
var retSubmit = function retSubmit() {

  // 如果需要跳转回去
  if (sdxCache["F362"]) {

    var info = data.rows[0]["F149"] || "是否跳转回原界面";
    tdxConfirm(info, function (r) {
      if (r) {

        // 返回上一级
        _req.webCallTql.send("ReturnToSuperior", {}, function () {});
      }
    });
  } else {
    clearQ();
  }
};

pageInit();

/***/ }),
/* 12 */,
/* 13 */,
/* 14 */,
/* 15 */,
/* 16 */,
/* 17 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })
],[11]);