webpackJsonp([1],[
/* 0 */,
/* 1 */,
/* 2 */,
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

__webpack_require__(2);

__webpack_require__(5);

var _base = __webpack_require__(4);

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var platform = tdxCheckMobSys();

var FlowBox = function () {

  /*
    el 挂在的id
    conf 配置参数
      {
      retinfo,        对应198应答的 TDX_ID_RETINFO
      lx,             对应198应答的 TDX_ID_LX
      param           对应198应答的 TDX_ID_XT_PARAM
    }
  */
  function FlowBox(el, conf) {
    _classCallCheck(this, FlowBox);

    this.$el = $(el);
    this.conf = conf;

    this.prefix = parseInt(Math.random() * 10000).toString(16);

    this.run();
  }

  // 启动函数


  _createClass(FlowBox, [{
    key: "run",
    value: function run() {

      this.$el.empty();
      this.$el.hide();

      // 解析参数
      this.box = this.parseParam();

      /*
        提示框新加参数
            lx: (0或者空文本 1、URL文件 2、html)
          param: (阅读时间(单位：秒),提示框宽度,提示框长度,)
      */
      var lx = this.conf.lx;
      var title = this.box.title;

      // 设置 APP Topbar 栏

      if (title) {

        webCallTql.send("tdxSetTopbarTitle", {
          "Title": title
        }, function () {});
      }

      var bodyStr = void 0;
      if (lx == 1) {
        bodyStr = this.getUrlBox();
      } else if (lx == 2) {
        bodyStr = this.getHtmlBox();
      } else if (lx == 3) {
        bodyStr = this.getInputBox();
      } else {
        bodyStr = this.getTxtBox();
      }

      var btnStr = this.getBtnStr();

      // 计算界面高度
      var ht = $(window).height();
      var boxStyle = "height: " + (ht - 20) + "px;margin-top:10px;";

      // <div class="tdx-flowbox-head">${title}</div>
      this.$el.append("\n      <div class=\"tdx-flowbox\" style=\"" + boxStyle + "\">\n        " + bodyStr + "\n        " + btnStr + "\n      </div>\n    ");

      this.$el.slideDown("slow");

      // 绑定函数处理
      this.initEvent();
    }
  }, {
    key: "initEvent",
    value: function initEvent() {

      var that = this;
      var _that$conf = that.conf,
          callback = _that$conf.callback,
          btncks = _that$conf.btncks;

      that.$el.find(".tdx-flowbox-btn-normal").unbind("click").bind("click", function () {

        var flag = $(this).attr("flag");

        // 这里需要获取流程中的输入框内容，如果有的话
        var $ipt = $("#" + that.prefix + "_ipt");
        if ($ipt.length > 0) {

          var value = $ipt.val();

          // 先确定这个地方，哪个按钮是提交验证码
          var ck = btncks[flag];

          if (value == "" && ck == 9) {
            tdxAlert("请输入内容");
          } else {
            callback(flag, value);
          }
          return;
        }

        callback(flag);
      });

      $("#" + that.prefix + "_yzm").bind("click", function () {

        var $el = $(this);
        var name = $el.attr("btnname");
        var count = $el.attr("count");
        var flag = $el.attr("flag");

        // 按钮不能点
        $el.attr("disabled", true);
        $el.html(name + "(" + count + ")");

        var timer = setInterval(function () {

          count--;
          if (count <= 0) {

            clearTimeout(timer);
            $el.attr("disabled", false);
            $el.html("" + name);
          } else {

            $el.html(name + "(" + count + ")");
          }
        }, 1000);

        callback(flag);
      });
    }

    // url 类型提示框

  }, {
    key: "getUrlBox",
    value: function getUrlBox() {
      var info = this.box.info;

      // 增加外层 div 是为了兼容 ios 下载入 iframe 的高度

      var bodyStyle = "height: " + ($(window).height() - 75) + "px;";

      return "\n      <div class=\"tdx-flowbox-body tdx-flowbox-url\" style=\"" + bodyStyle + "\">\n        <iframe src=\"" + encodeURI(info) + "\"></iframe>\n      </div>\n    ";
    }

    // 输入类型提示框

  }, {
    key: "getInputBox",
    value: function getInputBox() {

      var bodyStyle = "height: " + ($(window).height() - 75) + "px;";

      return "\n      <div class=\"tdx-flowbox-body tdx-flowbox-body-input\" style=\"" + bodyStyle + "\">\n        <input type=\"number\" class=\"tdx-flowbox-input\" id=\"" + this.prefix + "_ipt\"></input>\n      </div>\n    ";
    }

    // html类型提示框

  }, {
    key: "getHtmlBox",
    value: function getHtmlBox() {
      var info = this.box.info;

      // 如果返回的内容没有 base64

      if (info.indexOf("table") >= 0 || info.indexOf("body") >= 0) {

        info = info.replace(/\\r\\n/g, "\r\n");
        info = info.replace(/\\r/g, "\r");
        info = info.replace(/\\n/g, "\n");
        info = info.replace(/\\t/g, "\t");
      } else {

        info = (0, _base.decode)(info);
      }

      var bodyStyle = "height: " + ($(window).height() - 75) + "px;";

      // 这里我们兼容下微信中，iframe 下显示不错协议书的问题
      if (platform == "WX") {

        return "\n        <div class=\"tdx-flowbox-wx-body\" style=\"" + bodyStyle + "\">\n          " + info + "\n        </div>\n      ";
      } else {

        return "\n        <div class=\"tdx-flowbox-body\" style=\"" + bodyStyle + "\">\n          <iframe src=\"data:text/html;charset=utf-8," + encodeURI(info) + "\"></iframe>\n        </div>\n      ";
      }
    }

    // 文本提示框

  }, {
    key: "getTxtBox",
    value: function getTxtBox() {
      var info = this.box.info;

      // 文本内容，转下里面的 \\r\\n, \\t 等字符

      info = info.replace(/\\r\\n/g, "<br>");
      info = info.replace(/\\r/g, "\r");
      info = info.replace(/\\n/g, "\n");
      info = info.replace(/\\t/g, "\t");

      var bodyStyle = "height: " + ($(window).height() - 75) + "px;";

      return "\n      <div class=\"tdx-flowbox-body\" style=\"" + bodyStyle + "\">" + info + "</div>\n    ";
    }

    // 获取按钮内容

  }, {
    key: "getBtnStr",
    value: function getBtnStr() {
      var _box = this.box,
          btnnum = _box.btnnum,
          btn = _box.btn;
      var _conf = this.conf,
          btncks = _conf.btncks,
          param = _conf.param;

      var btnStr = [];
      var btnName = btn.split(",");

      for (var i = 0; i < btnnum; i++) {

        // 发送验证码按钮
        if (btncks[i] == 8) {

          // 解析出倒计时时间
          var count = param.split(",")[2];
          var name = btnName[i];

          btnStr.push("\n          <button class=\"tdx-btn-default tdx-flowbox-btn tdx-flowbox-btn-yzm\"\n            flag=\"" + i + "\"\n            id=\"" + this.prefix + "_yzm\"\n            btnname=\"" + name + "\"\n            count=\"" + count + "\">\n            " + name + "\n          </button>\n        ");
        } else {

          btnStr.push("\n          <button class=\"tdx-btn-default tdx-flowbox-btn tdx-flowbox-btn-normal\" \n            flag=\"" + i + "\">\n            " + btnName[i] + "\n          </button>\n        ");
        }
      }

      btnStr = "\n      <div class=\"tdx-flowbox-foot\">\n        " + btnStr.join("") + "\n      </div>\n    ";

      return btnStr;
    }
  }, {
    key: "parseParam",
    value: function parseParam() {

      /*
        TDX_ID_RETINFO格式："{T}名称{T}链接{T}内容{T}个数{T}名称{T}提示框标题{T}阅读提示术语{T}"
        范例：
        SafeSprintf( szRetInfo, sizeof(szRetInfo), "%s{T}%s{T}%s{T}%s{T}%s{T}%s{T}%s{T}%s{T}%s{T}", 
          "",                                                 // 字段1：由于出参已经有字段TDX_ID_XT_MESSAGETITLE填充返回，此位置不用填，预留
          "《银行理财产品风险揭示书和客户协议》",             // 字段2：名称（如果有多个，用","分隔）
          szFxslj,                                            // 字段3：链接（如果有多个，用","分隔）
          "您购买的金融产品，可能存在一定的投资风险。\r\n",    // 字段4：文本内容
          "2",                                                // 字段5: 按钮个数（1或者2）
          "确认,取消",                                        // 字段6：按钮名称：例子1（确定,取消）
          "银行理财业务风险揭示书",                            // 字段7：提示框标题
          "以上信息确认同意{#}",                                  // 字段8：阅读提示术语
          ""                                                  // 字段9：阅读时间（单位：秒）
        );
      */
      var retinfo = this.conf.retinfo;


      var arr = retinfo.split("{T}");

      return {
        info: arr[3],
        title: arr[6],
        btnnum: arr[4],
        btn: arr[5]
      };
    }
  }]);

  return FlowBox;
}();

exports.default = FlowBox;

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var decode = exports.decode = function decode(src) {

    return utf8to16(base64Decode(src));
};

var base64EncodeChars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
var base64DecodeChars = new Array(-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 62, -1, -1, -1, 63, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, -1, -1, -1, -1, -1, -1, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, -1, -1, -1, -1, -1, -1, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, -1, -1, -1, -1, -1);

var base64Decode = function base64Decode(str) {

    var c1 = void 0,
        c2 = void 0,
        c3 = void 0,
        c4 = void 0;
    var i = void 0,
        len = void 0,
        out = void 0;

    len = str.length;
    i = 0;
    out = "";
    while (i < len) {
        /* c1 */
        do {
            c1 = base64DecodeChars[str.charCodeAt(i++) & 0xff];
        } while (i < len && c1 == -1);
        if (c1 == -1) break;

        /* c2 */
        do {
            c2 = base64DecodeChars[str.charCodeAt(i++) & 0xff];
        } while (i < len && c2 == -1);
        if (c2 == -1) break;

        out += String.fromCharCode(c1 << 2 | (c2 & 0x30) >> 4);

        /* c3 */
        do {
            c3 = str.charCodeAt(i++) & 0xff;
            if (c3 == 61) return out;
            c3 = base64DecodeChars[c3];
        } while (i < len && c3 == -1);
        if (c3 == -1) break;

        out += String.fromCharCode((c2 & 0XF) << 4 | (c3 & 0x3C) >> 2);

        /* c4 */
        do {
            c4 = str.charCodeAt(i++) & 0xff;
            if (c4 == 61) return out;
            c4 = base64DecodeChars[c4];
        } while (i < len && c4 == -1);
        if (c4 == -1) break;
        out += String.fromCharCode((c3 & 0x03) << 6 | c4);
    }
    return out;
};

var utf8to16 = function utf8to16(str) {
    var out, i, len, c;
    var char2, char3;

    out = "";
    len = str.length;
    i = 0;
    while (i < len) {
        c = str.charCodeAt(i++);
        switch (c >> 4) {
            case 0:case 1:case 2:case 3:case 4:case 5:case 6:case 7:
                // 0xxxxxxx
                out += str.charAt(i - 1);
                break;
            case 12:case 13:
                // 110x xxxx   10xx xxxx
                char2 = str.charCodeAt(i++);
                out += String.fromCharCode((c & 0x1F) << 6 | char2 & 0x3F);
                break;
            case 14:
                // 1110 xxxx  10xx xxxx  10xx xxxx
                char2 = str.charCodeAt(i++);
                char3 = str.charCodeAt(i++);
                out += String.fromCharCode((c & 0x0F) << 12 | (char2 & 0x3F) << 6 | (char3 & 0x3F) << 0);
                break;
        }
    }

    return out;
};

/***/ }),
/* 5 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/*
  @file 浏览器路径处理
*/

var TdxJsUrl = exports.TdxJsUrl = function () {
  function TdxJsUrl() {
    _classCallCheck(this, TdxJsUrl);
  }

  _createClass(TdxJsUrl, [{
    key: "getUrlParam",


    /*
      根据 name 获取 url 中的参数
        @param name { String }
      @param urlSearch { String } （可选）网址 search 部分内容，带有问号
        @return result { String }
    */
    value: function getUrlParam(name, urlSearch) {

      try {

        var search = urlSearch || location && location.search || "";
        var reg = new RegExp("(&|^)" + name + "=([^&]+)(&|$)");
        var res = search.substr(1).match(reg);

        return (res || undefined) && res[2];
      } catch (e) {
        console.log(e);
        return undefined;
      }
    }
  }]);

  return TdxJsUrl;
}();

exports.default = new TdxJsUrl();

/***/ }),
/* 7 */,
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.old = undefined;

var _tdxJsUrl = __webpack_require__(6);

var _tdxJsUrl2 = _interopRequireDefault(_tdxJsUrl);

var _req = __webpack_require__(1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
  pc 中缓存存放格式
  
  TDX_ID_XT_REMARK|TDX_ID_XT_MESSAGETITLE|TDX_ID_PAGEID|TDX_ID_CPGSDM|TDX_ID_CPDM|TDX_ID_XT_PARAM


  从 URL 中过来的话
  ?params=TDX_ID_XT_REMARK|TDX_ID_XT_MESSAGETITLE|TDX_ID_PAGEID|TDX_ID_CPGSDM|TDX_ID_CPDM|TDX_ID_XT_PARAM

  data = data.split("|");
  sdxGlob["TDX_ID_XT_REMARK"] = data[0];
  sdxGlob["TDX_ID_XT_MESSAGETITLE"] = data[1];
  sdxGlob["TDX_ID_PAGEID"] = data[2];
  sdxGlob["TDX_ID_CPGSDM"] = data[3];
  sdxGlob["TDX_ID_CPDM"] = data[4];
  sdxGlob["TDX_ID_XT_PARAM"] = data[5];

  如果通过 andriod 或者 ios 接口获取，通过原生代码提供的接口来获取
  这里会有2部分数据内容：
  1. 点击菜单，原生代码发198，判断是否进入流程页面，如果进入，存198应答数据到 sdx_cache
  2. 其他html菜单，当要进入流程的时候，需要存 cache 数据，key 为 sdx_lc_in
*/

// 网页所处的环境
var platform = tdxCheckMobSys();

var formatDataIx = function formatDataIx(data) {

  var row = data.rows[0];
  return {
    "F1217": row["F1217"],
    "F1284": row["F1284"],
    "F362": row["F362"],
    "F391": row["F391"],
    "F393": row["F393"],
    "F1227": row["F1227"]
  };
};

exports.default = function (callback) {

  _req.webCallTql.send("tdxWebGetCacheData", {
    "WebCacheKey": "sdx_cache"
  }, function (data) {

    if (typeof data == "string") {
      data = JSON.parse(data);
    }

    // 数据非空
    if (data.length > 0) {

      // 清空缓存数据
      // webCallTql.send("tdxWebSetCacheData", {
      //   "WebCacheKey": "sdx_cache",
      //   "WebCacheValue": ""
      // }, () => {});

      data = FormatResult(data);
      if (data.ErrorCode != 0) {
        tdxAlert(data.ErrorInfo);
        return;
      }

      // return callback(formatDataIx(data));
      return callback(data);
    }

    tdxAlert("获取缓存数据为空");
  });
};

var old = exports.old = function old() {

  var browserType = tdxCheckMobSys();

  // 目前暂时从 url 中获取
  var params = _tdxJsUrl2.default.getUrlParam("params");
  if (params) {

    var arr = params.split("|");
    return {

      "F1217": arr[0],
      "F1284": arr[1],
      "F362": arr[2],
      "F393": arr[3],
      "F391": arr[4],
      "F1227": arr[5]
    };
  } else {

    /*
      点击菜单进入模拟
    */
    var enterMenu = {

      "F1217": "SDX.CHECK_RISK_ACCOUNT,",
      "F362": "PC.fund.WT_JJRG",
      "F391": "",
      "F393": ""

      /*
        中途输入代码，点委托
      */
    };var onWt = {
      "F1217": "SDX.CHECK_RISK_PRODUCTCODE,",
      "F362": "PC.fund.WT_JJRG",
      "F391": "001053",
      "F393": "01"

      // return enterMenu;
    };return onWt;
  }
};

/***/ }),
/* 9 */,
/* 10 */,
/* 11 */,
/* 12 */,
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__(0);

var _req = __webpack_require__(1);

var _state = __webpack_require__(8);

var _state2 = _interopRequireDefault(_state);

var _flowbox = __webpack_require__(3);

var _flowbox2 = _interopRequireDefault(_flowbox);

var _tdxJsUrl = __webpack_require__(6);

var _tdxJsUrl2 = _interopRequireDefault(_tdxJsUrl);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
  存放跳转过来的 state 信息

  {
    remark: TDX_ID_XT_REMARK    值为检查类型
    pageid: TDX_ID_PAGEID       值为各菜单id
    cpdm: TDX_ID_CPDM           值为用户输入文本框的数据
    cpgsdm: TDX_ID_CPGSDM       产品公司代码
    zhlb:                       市场类别
  }
*/

// 存放上级页面跳转过来的 PageID
var pageid = void 0; // import "tdx-js-ieconnect"

var tdxCpdm = void 0;
var tdxCpgsdm = void 0;
var tdxZhlb = void 0;
var tdxGddm = void 0;
var tdxCzbz = void 0;
var tdxMmbz = void 0;
var tdxWtfs = void 0;
var tdxParam = void 0;

var pageInit = function pageInit() {

  // 缓存 pageid，cpdm，cpgsdm
  pageid = _tdxJsUrl2.default.getUrlParam("PageID");
  tdxCpdm = _tdxJsUrl2.default.getUrlParam("F391") || "";
  tdxCpgsdm = _tdxJsUrl2.default.getUrlParam("F393") || "";
  tdxZhlb = _tdxJsUrl2.default.getUrlParam("F125") || "";
  tdxGddm = _tdxJsUrl2.default.getUrlParam("F123") || "";
  tdxCzbz = _tdxJsUrl2.default.getUrlParam("F113") || "";
  tdxMmbz = _tdxJsUrl2.default.getUrlParam("F130") || "";
  tdxWtfs = _tdxJsUrl2.default.getUrlParam("F166") || "";
  tdxParam = _tdxJsUrl2.default.getUrlParam("F1227") || "";

  // 这里缓存产品代码和产品公司代码
  // 获取参数
  (0, _state2.default)(function (state) {
    // checkSdx(getParam(state));

    // 刚开始的时候，先弹出内容
    doCheck(state);
  });
};

var getParam = function getParam(row) {

  var ck = row["F1223"];

  if (ck != 9) {

    return {
      remark: row["F1217"] || "",
      pageid: pageid,
      cpdm: row["F391"] || "",
      cpgsdm: row["F393"] || "",
      msgtitle: row["F1284"] || ""
    };
  } else {

    return {
      remark: row["F1217"] || "",
      pageid: pageid,
      cpdm: row["F391"] || "",
      cpgsdm: row["F393"] || "",
      msgtitle: row["F1284"] || "",
      param: row["F1227"]
    };
  }
};

var checkSdx = function checkSdx(args) {
  var remark = args.remark,
      pageid = args.pageid,
      cpdm = args.cpdm,
      cpgsdm = args.cpgsdm,
      msgtitle = args.msgtitle,
      param = args.param;


  _req.jyCallTql.send("198", {
    "F1217": remark,
    "F362": pageid,
    "F391": cpdm || tdxCpdm,
    "F393": cpgsdm || tdxCpgsdm,
    "F1284": msgtitle,
    "F1227": param || tdxParam,
    "F125": tdxZhlb,
    "F123": tdxGddm,
    "F113": tdxCzbz,
    "F130": tdxMmbz,
    "F166": tdxWtfs
  }, function (data) {
    // debugger;
    data = FormatResult(data);
    if (data.ErrorCode != 0) {
      tdxAlert(data.ErrorInfo, function () {
        doLcFail();
      });
      return;
    }

    doCheck(data);
  });
};

var doCheck = function doCheck(data) {

  // 没有记录返回，表示流程成功了
  if (!data.rows || data.rows.length == 0) {
    doLcDone({});
    return;
  }

  var ck = data.rows[0]["F1223"];
  var info = data.rows[0]["F149"];
  var lx = data.rows[0]["F234"];
  var param = data.rows[0]["F1227"];

  // 这里获取每个按钮点击的 checkriskflag
  var btncks = [];
  data.rows.map(function (row) {
    btncks.push(row["F1223"]);
  }

  // 如果有提示信息，这个时候要提示信息
  );if (info) {

    new _flowbox2.default("#app", {
      retinfo: info,
      lx: lx,
      param: param,
      btncks: btncks,
      callback: function callback(flag, value) {
        btnClick(data.rows[flag], value);
      }
    });
  }

  /*
    没有提示信息的情形，目测只有0 - 适当性匹配的情形
      这里可以不用做任何处理？？？
      应该要跳转吧
  */
  else {

      ck = parseInt(ck);
      switch (ck) {
        case 0:
        case 1:
          // 适当性不匹配，但是可以强制下单
          doLcDone(data.rows[0]);
          break;

        case 3:
        case 5:
          doJumpCp({});
          break;

        case 7:
          checkSdx(getParam(data.rows[0]));
          break;

        case 6:
          doLcDone(data.rows[0]);
          break;

        // 其他的情形，默认做错误处理
        default:
          doLcFail(data.rows[0]);
      }
    }
};

/*
  处理按钮响应事件

  这个和请求应答记录有关
  如果有2个按钮，第一条记录是第一个按钮的操作，第2条记录是第2个按钮的参数

  所以这里的入参给对应按钮处理参数
*/
var btnClick = function btnClick(row, value) {

  var ck = parseInt(row["F1223"]);
  switch (ck) {

    case 0:
    case 1:
      // 风险不匹配，可以强制下单
      doLcDone(row);
      break;

    case 4:
      // 流程失败，通知结果
      doLcFail();
      break;

    // 跳转测评
    case 3:
    case 5:
      // tdxAlert("这里实现跳转到测评界面");
      // 这个标示，表示要跳转，跳转的id在应答中返回
      doJumpCp(row);
      break;

    // 流程完成
    case 6:
      doLcDone(row);
      break;

    case 2:
    case 7:
      checkSdx(getParam(row));
      break;

    // 提交验证码
    case 9:
      row["F1227"] = value;
      // checkSdx(getParam(row));
      // checkYzm(getParam(row));
      doYzm(getParam(row), 1);
      break;

    // 获取验证码
    case 8:
      // checkSdx(getParam(row));
      // getYzm(getParam(row));
      doYzm(getParam(row), 0);
      break;

    default:
      checkSdx(getParam(row));
  }
};

// 获取验证码
var doYzm = function doYzm(args, flag) {
  var remark = args.remark,
      pageid = args.pageid,
      cpdm = args.cpdm,
      cpgsdm = args.cpgsdm,
      msgtitle = args.msgtitle,
      param = args.param;


  _req.jyCallTql.send("198", {
    "F1217": remark,
    "F362": pageid,
    "F391": cpdm || tdxCpdm,
    "F393": cpgsdm || tdxCpgsdm,
    "F1284": msgtitle,
    "F1227": param || tdxParam,
    "F125": tdxZhlb,
    "F123": tdxGddm,
    "F113": tdxCzbz,
    "F130": tdxMmbz,
    "F166": tdxWtfs
  }, function (data) {
    // debugger;
    data = FormatResult(data);
    if (data.ErrorCode != 0) {
      tdxAlert(data.ErrorInfo);
      return;
    }

    // 0 - 发送验证码， 1 - 校验验证码
    if (flag == 0) {

      tdxAlert(data.rows[0]["F149"]);
    } else {

      doCheck(data);
    }
  });
};

/*
  跳转到风险测评，这个地方流程结束了，表示失败了
  通知原生代码，流程失败
  跳转到需要跳转的界面
  这里不能调用 openUrl，不然返回上一级又是流程界面
*/
var doJumpCp = function doJumpCp(row) {

  // 缓存 cache
  _req.webCallTql.send("tdxWebSetCacheData", {
    'WebCacheKey': 'sdx_fxcp_in',
    'WebCacheValue': (0, _req.fmtIXJson)({
      "F1217": row["F1217"],
      "F1284": row["F1284"],
      "F1213": row["F1213"],
      "F362": pageid
    })
  }, function (data) {});

  // 通知流程结果失败
  _req.webCallTql.send("tdxSdxCheckUpResult", {
    "checkSdxResult": "1",
    "isBack": "0",
    "return198": ""
  }, function (data) {});

  // 先清掉内容，再刷新
  $("#app").empty();

  // 直接 location 跳转测评
  window.location.href = "./fxcp.html";
};

// 流程完成
var doLcDone = function doLcDone(row) {

  // alert(JSON.stringify(row));
  // 通知结果
  _req.webCallTql.send("tdxSdxCheckUpResult", {
    "checkSdxResult": "0",
    "isBack": "1",
    "return198": (0, _req.fmtIXJson)(row)
  }, function (data) {});
};

// 流程失败，通知原生层结果
var doLcFail = function doLcFail() {

  // 通知结果
  _req.webCallTql.send("tdxSdxCheckUpResult", {
    "checkSdxResult": "1",
    "isBack": "1",
    "return198": ""
  }, function (data) {});
};

pageInit();

/***/ })
],[13]);