// var column =  [
        // { "title": "产品编号", 'mDataProp':"pro_id", 'sWidth':"80px"},
        // { "title": "产品名称" , 'mDataProp':"pro_name", 'sWidth':"120px"},
        // { "title": "金融代码" , 'mDataProp':"finicial_pro_id", 'sWidth':"80px"},
        // { "title": "产品类型" , 'mDataProp':"pro_type", 'sWidth':"80px",mData:formatType },
        // { "title": "产品简介" , 'mDataProp':"pro_summary", 'sWidth':"200px" },
        // { "title": "风险等级" , 'mDataProp':"pro_risk_Level", 'sWidth':"80px", "mData":formatByConst("risk_level", "pro_risk_Level")},
        // { "title": "产品状态" , 'mDataProp':"pro_status", 'sWidth':"80px", "mData":formatByConst("pro_status", "pro_status") },
        // { "title": "创建日期" , 'mDataProp':"create_date", 'sWidth':"80px" },
        // { "title": "操作" , 'mDataProp':"cz",'sWidth':"20px","mData":formatCZ, bSortable:false }
    // ];   //产品信息列表

define(function(require, exports, module){

	require("./datagrid.css");
	/*
	* 格式化函数，当为Null时候 显示 ——-
	*/

	function formatNull( val, rowData){
		if (val == null || val == undefined )
			return "--";
		return val;
	}
	exports.formatNull = formatNull;

	/*
	* 格式化函数，格式化日期函数
	*/
	function formatDate( val, rowData){
		if (val && val.length > 7)
		{
			var newVal = val.replace("-","").replace("/", "").substring(0, 8);
			var s = newVal.substring(0,4) + "-" + newVal.substring(4,6) + "-" + newVal.substring(6,8)
			return s;
		}
		else
		{
			return formatNull(val);
		}

	}
	exports.formatDate = formatDate;
	/*
	*	格式化涨跌幅
	*/

	function formatZDF(val, rowData, relateData)
	{
		if (val)
		{
			if (!isNaN(val))
			{
				var f = parseFloat(val);
				if (f >= 0)
				{
					return "<span class='grid-red'> "+val+"</span>"
				}
				else
				{
					return "<span class='grid-green'> "+val+"</span>"
				}
			}
			return val;
		}
		else
		{
			return formatNull(val);
		}
	}
	exports.formatZDF = formatZDF;

	function formatStockCode(val, rowData, relateData)
	{
		if (val)
		{
			var url ="";
			if (val)
			{
				var url = "http://www.treeid/code_" + val;
			}
			
			return "<a href='"+url+"' class='grid-stock' tip-title='"+val+"'>"+val+"</a>"
		}
		else
		{
			return formatNull(val);
		}
	}
	exports.formatStockCode = formatStockCode;

	function formatStockName(val, rowData, relateData)
	{
		if (val)
		{
			var code = rowData[relateData];
			var url ="";
			if (val)
			{
				var url = "http://www.treeid/code_" + code;
			}

			
			return "<a href='"+url+"' class='grid-stock' tip-title='"+val+"'>"+val+"</a>";
		}
		else
		{
			return formatNull(val);
		}
	}


	exports.formatStockName = formatStockName;	

	function formatStockNameL(length)
	{

		var length = length || 0;
		return function formatStockName(val, rowData, relateData)
		{
			if (val)
			{
				var code = rowData[relateData];
				var url ="";
				if (val)
				{
					var url = "http://www.treeid/code_" + code;
				}
				var newVal = val;
				if (length > 0)
				{
					var newVal = textSubstring(val, length, "...")
				}

				
				return "<a href='"+url+"' class='grid-stock' tip-title='"+val+"'>"+newVal+"</a>"
			}
			else
			{
				return formatNull(val);
			}
		}


	}

	exports.formatStockNameL = formatStockNameL;	


	/*截断数据*/
	function textSubstring(text, length, add){
		var add = add||"";
		var length = length || 0;
		var text = text || "";
		var ret = text.length > length ? (text.substring(0, length) + add) : text;
		return ret;
		
	}

	/*将长字符串的 字数缩短*/
	function formatString(length)
	{
		return function (val, rowData)
		{
			var newVal =textSubstring(val, length, "...");
			var s = "<span  tip-title='"+val+"'  > " +newVal+ "</span>"
			return s;
		}
	}
	function screenHeight()
	{
		if (document.compatMode == "BackCompat") { 
			return ;
		}
		else{
			 return document.documentElement.clientHeight
		}
		// return document.body.clientHeight || document.documentElement.clientHeight;
	}

	/*将带有属性为tip-title的地方显示类似于<a>的title属性*/
	function tipTitle()
	   {
	        $("[tip-title]").unbind("mouseover").mouseover(function(event){
	            var content = $(this).attr("tip-title") || "";
	            var tipClass = $(this).attr("tip-class") || "";
	            $(".pop-info").remove();
	            if (content)
	            {
	                (function(obj){
	                    var clock ; //鼠标移动到对应的框上的时候，等1秒再弹框
	                    clock = setTimeout(function(){
	                        clock = undefined;
	                        var pointX = event.pageX;
	                        var pointY = event.pageY+15;
	                        // console.log(pointX);
	                        var bodyWidth = $("body").innerWidth();
        
	                        var scroll = $("body").scrollTop();
	                        var sHeight = screenHeight();
	                        var s = "<div id='popInfo333' class='pop-info "+tipClass+"' style='left:-1000px;top:-1000px;display:none'>"+content+"</div>";
	                        $("body").append(s);
	                        var lenth = $("#popInfo333").width();
	                        var divHeight = $("#popInfo333").height();
	                        if (pointX + lenth + 30 > bodyWidth)
	                        {
	                            pointX = bodyWidth - lenth - 50;
	                        }
	                        if (pointY + divHeight + 30 > scroll+ sHeight)
	                        {
	                            pointY = pointY - divHeight - 30;
	                        }
	                        $("#popInfo333").css("left", pointX);
	                        $("#popInfo333").css("top", pointY);
	                        $("#popInfo333").show();                        
	                    }, 500);


	                    $(obj).mouseout(function(){
	                        if (clock)
	                        {
	                            clearTimeout(clock);
	                            clock = undefined;
	                        }
	                        $(".pop-info").remove();
	                    })

	                })(this)


	            }


	        })
	    }


	//深拷贝
	function _deepCopy(uObj)
	{
		if (typeof uObj == "Object")
		{
			var returnVal = {};
			for (var key in uObj)
			{
				returnVal[key] =  _deepCopy(uObj[key]);
				
			}
			return returnVal;
		}
		else if (typeof uObj == "array" )
		{
			var returnVal = [];
			for(var row=0; row<uObj.length;row++)
			{
				returnVal.push(_deepCopy(uObj[key]));
			}
			return returnVal;
		}
		else
		{
			return uObj;
		}
		
	}


	var cloneObj = function(obj){
	    var str, newobj = obj.constructor === Array ? [] : {};
	    if(typeof obj !== 'object'){
	        return obj;
	    } else{
	        for(var i in obj){
	            newobj[i] = typeof obj[i] === 'object' ? 
	            cloneObj(obj[i]) : obj[i]; 
	        }
	    }
	    return newobj;
	};

		
	//更新option
	function _updateObj(obj, uObj)
	{
		var returnVal = {};
		for (var key in obj)
		{
			
			if ( typeof obj[key] == "object" && uObj[key] != undefined && obj[key] .constructor != Array)  //更新
			{	

				returnVal[key] = typeof uObj[key] == "object"?_updateObj(obj[key], uObj[key]):obj[key];

				
			}
			else
			{
				returnVal[key] =  uObj[key] == undefined? obj[key]:uObj[key];	
			}
			

			if ((key == "aoColumns" ) && uObj[key] != undefined) // 列的时候单独处理
			{
				var aCol = new Array();
				for (var row=0; row<uObj[key].length; row++)
				{
					aCol.push(_updateObj(_columnOption, uObj[key][row]));
				}
				returnVal[key] = aCol;
			}

		}
		return returnVal;
	}	
	
	/*
	 * 表格插件
	 * 
	 */

	// 表格单列默认属性
	var _columnOption = {
		title:"",      //显示列名
		data:"",         //取数据的列
		sWidth:"",      // 宽度
		defaultContent:"",      // 默认值
		dataType:"default", //数据类型, default:普通类型, serialNumber 序号(将会自动填写序号栏目的值),date 日期类型 2015-10-03
		bOneRow : 0,  // 是否单行  1单行， 0 多行,
		tdClass : "", // 表头的class
		sortFlag:0, //0 不排序 1可排序 2可排序+asc,  3可排序+desc
		sortType: 1,//排序方式 1本地排序，2调用查询queryData查询
		relateData:"",//关联字段，在formatter 调用的时候会送入
		align:"left", // 左右对齐， left 左， right 右， center 中，空表示不处理
		maxLength:0, //显示的最长长度
		formatter:formatNull   //格式化函数 function callback(val, rowData, relateData)
	};
	//表格属性
	var _tableOption = {

		aoColumns :[], // 列信息
		bFixedWidth : 1, //固定宽度  1.根据表格内容自适应， 2根据width 按比例, 3固定宽度
		bRowStype : 1,// 1 背景色为纯色，2 背景色为2色交替
		bShowHead : 1, // 是否显示固定表头 1 显示 2不显示
		onRowClick:undefined,   //单击响应
		onRowDbClick:undefined,  //双击响应
		onRowSelect:undefined,  //当行选中时候
		bHeadFloat:0, //表头浮动
		scrollObj:undefined, //表头浮动，参照的滚动的div 的juery对象，如果不送 默认为this.obj
		fixCols:0, //固定列数，如果为固定列数,则滚动横向滚动条，则不滚动
		bLoading:0, //调用queryData函数时候，是否显示加载框，调用update函数自动去掉
		merges:[], //合并列字典 [{index:3,colspan:2,title:"合并项"}, {index:5,colspan:2,title:"合并项"}]  index:开始的列， colspan:合并列数， tittle:合并后标题
		bSel:0, // 1，显示当前选中项
	    language: {
			zeroRecords: "抱歉，未查询到相关数据！"
		},
		bPaging: 0, //是否有分页
		autoPage: 1, // 1 当数据为空的时候分页影藏，有数据显示 2一直显示		
		loadFunc : undefined,  //加载数据函数，function(pageNum, pageSize, $(this), sortField, sortFlag),表格查询时候，会返回排序信息
		pageOption:{
			pageSize : 25,   // 页面大小
			loadFunc : undefined,  //加载数据函数，function(pageNum, pageSize)，只在点击分页的时候使用
			posType: 2 // 调用查询时候 pos 类似  1 返回查询起始条数， 2 返回查询页数
		}

	}


	var DataTable = function(obj, option)
	{
		
		this.obj = obj;
		this.headObj = undefined;
		this.bodyObj = undefined;
		this.pageObj = undefined;
		this.tableObj = undefined;
		this.paging = undefined; //page对象
		this.objData = [];
		var option = _deepCopy(option);
		this.tableOption = _updateObj(_tableOption, option);
		//this.tableOption = $.extend(true, {}, _tableOption, );
		this.columns = this.tableOption.aoColumns;
		
		// this.create();
	}
	DataTable.prototype = {
		//创建表格
		create:function()
		{
			var aHtml = [];
			// aHtml.push("<div>")
			aHtml.push("<div class='grid-view'>");
			aHtml.push("<table class='grid-main-table' > <thead></thead><tbody></tbody></table>");
			aHtml.push("</div>");
			aHtml.push("<div class='grid-page'></div>");
			this.obj.append(aHtml.join(" "));
			this.tableObj =this.obj.find(".grid-main-table"); 
			this.headObj = this.obj.find(".grid-main-table").find("thead");
			this.bodyObj = this.obj.find(".grid-main-table").find("tbody");
			this.pageObj = this.obj.find(".grid-page");
			//自动宽度的样式
			var widthClass = (this.tableOption.bFixedWidth == 1 && "grid-table-width1") || (this.tableOption.bFixedWidth == 2 && "grid-table-width2") || (this.tableOption.bFixedWidth == 3 && "grid-table-width3") ||"";
			this.tableObj.addClass(widthClass);
			if (this.tableOption.bFixedWidth == 3)
			{
				this.obj.find(".grid-view").css("overflow-x", "auto"); //出滚动条
			}

			if (this.tableOption.bRowStype == 2)
			{
				this.obj.find(".grid-main-table").addClass("grid-color2");
			}
			if (this.tableOption.bSel)
			{
				this.obj.find(".grid-main-table").addClass("grid-one-sel");	
			}

			if (this.tableOption.bPaging)
			{
				var options = $.extend({}, {table:this}, this.tableOption.pageOption)
				this.paging = this.pageObj.datapage(options);
				this.paging.hide();
			}
			this.resetHead();

		},
		resetHead:function()
		{
			var _self = this;
			function merge(index) //返回合并列信息
			{
				var hanleNum = 0;// 1写入handle1 2写入handel2 3同时写入handel1, handel2,
				var a = [];
				for (var row=0; row<_self.tableOption.merges.length; row++)
				{
					var rd = _self.tableOption.merges[row];
					var i =  rd["index"] || -1;
					var nextI =  (rd["index"] && rd["colspan"]) ? rd["index"] + rd["colspan"] : -1;
					if (i == index && nextI > 0)
					{
						a = rd;
						hanleNum = 3;
						break;
					}

					else if (index > i && index < nextI)
					{
						hanleNum = 2;
						break;

					}
					else
					{
						hanleNum = 1;
					}
				}
				return [hanleNum, a];
			}

			this.headObj.empty();
			this.headObj.append("<tr></tr>");
			var handle1 = this.headObj.find("tr");
			var handle2 = undefined;
			if (this.tableOption.merges && this.tableOption.merges.length > 0) //有合并列
			{
				this.headObj.append("<tr></tr>");
				handle1 = this.headObj.find("tr:eq(0)");
				handle2 = this.headObj.find("tr:eq(1)");
			}
            var totalWidth = 0; //算出表格总长度
			for (var row=0; row<this.columns.length; row++)
			{
				var col = row;
				// var title = this.columns[row].title;
			
				var title = this._formatTitle(col);
                var sWidth = this.columns[row].sWidth ;
                var sortFlag = this.columns[row].sortFlag ;
                var data = this.columns[row].data ;

                if (isNaN(parseFloat(sWidth)))  //如果输入的带px的
                {
                    var n = sWidth.indexOf("px");
                    if (n != -1)
                    {
                        totalWidth += parseFloat(sWidth.substring(0, n));
                    }
                }
                else
                {
                    totalWidth += parseFloat(sWidth);
                }
                var sort = (sortFlag==1 && "sort-un") || ((sortFlag==2 ) && "sort-asc") || ((sortFlag==3 ) && "sort-desc");
                var sortText =  sortFlag > 0 && data.length > 0 ? "<span class='"+sort+"' role='sort' sortname='"+data+"'></span>":"";
                var mergeInfo = merge(col);
  
				
				if (mergeInfo[0] == 0)  //不合并
				{
					var text = "<th col='"+col+"' colspan='1' rowspan='1' >"+ title+sortText +"</th>";
					handle1.append(text);
				}
				else if (mergeInfo[0] == 1)  //合并，但是不是合并列
				{
					var text = "<th col='"+col+"' colspan='1' rowspan='2' >"+ title+sortText +"</th>";
					handle1.append(text);
				}
				else if (mergeInfo[0] == 2)  //合并，合并开始列，非合并起始列
				{
					var text = "<th col='"+col+"' colspan='1' rowspan='1' >"+ title+sortText +"</th>";
					handle2.append(text);
					
				}
				else if (mergeInfo[0] == 3)  //合并，合并开始列
				{
					var text = "<th  colspan='"+mergeInfo[1].colspan+"' rowspan='1' >"+ mergeInfo[1]["title"] +"</th>";
					handle1.append(text);
					var text = "<th col='"+col+"' colspan='1' rowspan='1' >"+ title+sortText +"</th>";
					handle2.append(text);					
				}

				
				if (sWidth.length > 0)
				{
					this.headObj.find("[col='"+col+"']").css("width", sWidth);
				}

			}
			if (this.tableOption.bFixedWidth == 3) // 固定列宽
			{
				this.tableObj.css("width", totalWidth);
			}
			var that = this;
			this.obj.find("[sortname]").each(function(inedx){
				// var thisObj = this;
				$(this).closest("th").addClass("th-sort");
				$(this).closest("th").unbind("click").bind("click", function(event){
					var sortObj = $(this).find("[sortname]");
					that.obj.find("[sortname]").not(sortObj[0]).each(function(){
						$(this).removeClass("sort-desc");
						$(this).removeClass("sort-asc");
						$(this).addClass("sort-un");
					});
					var sortClass= "";
					var oldClass = "";
					if (sortObj.hasClass("sort-un"))  //un->desc
					{
						sortObj.removeClass("sort-un").addClass("sort-desc");
						sortClass = "sort-desc";
						oldClass = "sort-un";

					}
					else if (sortObj.hasClass("sort-asc")) // asc->desc
					{
						sortObj.removeClass("sort-asc").addClass("sort-desc");
						sortClass = "sort-desc";
						oldClass = "sort-asc";

					}
					else if (sortObj.hasClass("sort-desc")) // desc->asc
					{
						sortObj.removeClass("sort-desc").addClass("sort-asc");
						sortClass = "sort-asc";
						oldClass = "sort-desc";
					}
					
					var colIndex = parseInt($(this).attr("col")||"-1");
					if (colIndex > -1)
					{
						var colNum = $(this).attr("col")||"";
						if (colNum)
						{
							if (that.obj.find(".grid-head-clone").length > 0 || that.obj.find(".grid-left-clone").length > 0) //有浮动的表头的 ，需要控制grid-view 里面的表头设置CSS
								{
									var a =  that.headObj.find("[col='"+colNum+"']");
									that.headObj.find("[col='"+colNum+"']").find("[sortname]").removeClass("sort-un");
									that.headObj.find("[col='"+colNum+"']").find("[sortname]").removeClass(oldClass).addClass(sortClass);
								}							
						}
						var sortType = that.columns[colIndex].sortType;
						if (sortType == 2)
						{
							that.queryData();
						}
					}
				})
			})
			this.draw(0);
		},

		/*
		* 表头浮动,一般在初始化表头后
		*/
		floatHead:function(){
			this.obj.css("position", "relative");

			
			if (this.tableOption.bHeadFloat && this.tableOption.fixCols < 1)
			{
				this._headFloat();
			}
			if (this.tableOption.fixCols > 0 && !this.tableOption.bHeadFloat)
			{
				this._leftFloat();
			}
		},
		//左边浮动
		_leftFloat:function(clone){
			var _self = this;
			if (this.tableOption.fixCols < 1) return;
			var clone = this.obj.find(".grid-view .grid-main-table").clone(true);
			if (this.obj.find(".grid-left-clone").length < 1)
			{
				this.obj.append("<div class='grid-left-clone' ></div>");
			}
			var cloneObj = this.obj.find(".grid-left-clone");
			cloneObj.empty();
			cloneObj.append(clone);
			var colWidth = 0;
			cloneObj.find("table tr").each(function(index){
				$(this).find("th").each(function(index1){
					if (index1>=_self.tableOption.fixCols)
					{
						$(this).remove();
					}
					else
					{
						colWidth += $(this).outerWidth(true);
					}
				});
				$(this).find("td").each(function(index1){
					if (index1>=_self.tableOption.fixCols)
					{
						$(this).remove();
					}
				});
			})
			cloneObj.css("left",  "0px");
			cloneObj.css("top",  "0px");
			cloneObj.find(".grid-main-table").css("width", colWidth)
			var scrollObj = _self.obj.find(".grid-view");
			return;
			// var scrollObj = this.tableOption.scrollObj;


		},

		//头部浮动
		_headFloat:function(clone){
			var clone = this.obj.find(".grid-view .grid-main-table").clone(true);
			if (this.obj.find(".grid-head-clone").length < 1)
			{
				this.obj.append("<div class='grid-head-clone' ></div>");
			}
			var cloneObj = this.obj.find(".grid-head-clone");
			cloneObj.empty();
			cloneObj.append(clone);
			cloneObj.find("tbody").empty();
			cloneObj.css("left",  "0px");
			cloneObj.css("top",  "0px");
			var scrollObj = this.tableOption.scrollObj;
			if (scrollObj)
			{
				scrollObj.scroll(function(){
					cloneObj[0].style.top = this.scrollTop+"px";

				});
			}
			scrollObj.trigger("scroll");


		},
		/*
		 *  表头参数函数
		 */
		_formatTitle:function(row)
		{
			var type = this.columns[row].type;
			var title = this.columns[row].title;
			if (type == "text")
			{
				return title;
			}
			else
			{
				return title;
			}
		},

		/*
		* 根据type格式化数据
		*/
		_formatByDataType:function(val, dataType)
		{
			var rVal = val;
			if (dataType == "serialNumber")  //序号，如果为序号类型，将会根据当前的序号
			{
				var pageNum= 0, pageSize = 0;
				if (this.paging)
				{
					pageNum = this.paging.curPage - 1;
					pageSize = this.paging.option.pageSize;
				}
				var beginNum = pageNum * pageSize;
				var length = this.bodyObj.find("tr").length;
				rVal = beginNum + length + 1;

			}

			return rVal;
		},

		/*
		* 格式化数据
		*/
		_formatValue:function(rowData, column)
		{
			var key = column.data;
			var sVal = column.defaultContent;
			var formatter = column.formatter;
			var bOneRow = column.bOneRow;
			var tdClass = column.tdClass;
			var align = column.align;
			var dataType = column.dataType;
			var relateData = column.relateData;



			if (rowData.hasOwnProperty(key))
			{
				sVal = rowData[key];
			}
			var newVal = sVal;
			newVal = this._formatByDataType(sVal, dataType);
			if (column.maxLength && !isNaN(column.maxLength))
			{ 
				newVal = formatString(column.maxLength)(sVal, rowData);
			}
			if (formatter != undefined)
			{
				newVal = formatter(newVal, rowData, relateData);
			}
			var strAlign = (align == "left" && "text-align:left;") || (align == "right" && "text-align:right;") || (align == "center" && "text-align:center;") || "";

			var sClass = "";
			if (tdClass)
			{
				sClass = "class='" + tdClass+ "'";
			}
			var text = "<td "+sClass+"  colspan='1' style='"+strAlign+"'>"+newVal+"</td>";
			return text;
		},		
		/*
		 * check时候的格式化函数 ,初始化的时候，不显示无数据提示
		 */
		draw:function(flag)
		{
			flag = flag == undefined?1:0;
			this._hideEmpty();
			for (var row=0; row < this.objData.length; row++)
			{
				_addRow(this.objData[row]);
			}
			if (flag)
			{
				this._showEmpty();
			}
		},

		/*根据当前排序，执行查询*/
		queryData:function(){
			var desc = this.obj.find(".sort-desc");
			var asc = this.obj.find(".sort-asc");
			// var index = -1;
			var sortName = "";
			var sort = "";
			var pageNum = 1;
			var pageSize = 0;
			if (this.paging)
			{
				pageSize = this.paging.option.pageSize;
			}
			desc.each(function(){
				sortName = desc.attr("sortname") || "" ;
				sort = "desc";
			});
			asc.each(function(){
				sortName = asc.attr("sortname") || "";
				sort = "asc";
			});
			if (this.tableOption.loadFunc)
			{
				this.tableOption.loadFunc(pageNum, pageSize, this, sortName, sort);
			}
			if (this.tableOption.bLoading == 1 )
			{
				this.showLoading();
			}
		},		
		/*
		 *	新增单行数据
		 * rowData：对象
		 */
		addRow:function(rowData)
		{
			this.objData.push(rowData);
			this._addRow(rowData);

		},
		_addRow:function(rowData)
		{
			if (typeof rowData != "object") return;
			var ahtml = new Array();
			ahtml.push("<tr role='row'>");
			var aOneRow = [];
			for (var row=0; row<this.columns.length; row++)
			{
				var column = this.columns[row];
				var text = this._formatValue(rowData, column);
				ahtml.push(text);
			}
			ahtml.push("</tr>");
			this.bodyObj.append(ahtml.join(" "));
			var that = this;
			if (this.tableOption.onRowClick != undefined)  // 单击事件
			{

			}
			this.bodyObj.find("tr:last").bind('click', function(event) {
			  	that.tableOption.onRowClick&&that.tableOption.onRowClick(rowData);
			  	$(this).trigger("selchange");
			});			

			if (this.tableOption.onRowDbClick != undefined)  // 双击事件
			{
				this.bodyObj.find("tr:last").bind('dblclick', function(event) {
				  	that.tableOption.onRowDbClick(rowData);
				});	
				
			}
			if (this.tableOption.bSel == 1)
			{
				this.bodyObj.find("tr:last").bind('selchange', function(event) {
					if ($(this).hasClass("active")) return;
					that.bodyObj.find(".active").removeClass("active");
					$(this).addClass("active");
				  	that.tableOption.onRowSelect && that.tableOption.onRowSelect(rowData);
				});					
			}
	
		},
		/*
		 * 更新表格数据
		 * data : [{}] 
		 * bClear: 是否清空数据 (1清空 0 不清空)
		 */
		update:function(data, bClear)
		{	
			if (this.tableOption.bLoading == 1 )
			{
				this.hideLoading();
			}			
			this._hideEmpty();
			bClear = bClear == undefined? 1:0;
			if (bClear == 1)
			{
				this._clearBody();
				this.objData = [];
				
			}
			for (var row=0; row<data.length; row++)
			{
				var rowData = data[row];
				this.addRow(rowData);
				
			}
			this._showEmpty();
			this.floatHead();

			
			tipTitle();	
			// this.draw();
		},
		_clearBody:function()
		{
			this.bodyObj.empty();
		},
		/*
		 * 清除数据
		 */
		
		clear:function()
		{
			this._clearBody();
			this._showEmpty();
		},

		destory:function()
		{
			this._clearBody();
			this.objData = [];			
			this.obj.empty();
		},

		getColNum:function()
		{
			return 	this.headObj.find("th").length;
		},
		/*选中行*/
		selectRow:function(index){
			if (!isNaN(index))
			{
				this.obj.find("tbody tr:eq("+index+")").trigger("selchange");
			}
		},
		/*
		 * 如果表格为空 则显示为空提示
		 */
		_showEmpty:function()
		{
			var a = this.obj.find("tbody tr").length;
			if (this.obj.find("tbody tr").length < 1)
			{
				if (this.paging && this.tableOption.autoPage == 1)
				{
					this.paging.hide();
				}
				if (this.tableOption.language.zeroRecords.length < 1) return;
				var ahtml = new Array();
				var colNum = this.getColNum();
				ahtml.push("<tr role='empty_row'>");
				ahtml.push("<td colspan='"+colNum+"'>" + this.tableOption.language.zeroRecords +"</td>")
				ahtml.push("</tr>");
				this.obj.find("tbody").append(ahtml.join(""));
				
			}
			else
			{
				if (this.paging)
				{
					this.paging.show();
				}				
			}
		},
		/*
		 * 清除为空提示
		 */		
		_hideEmpty:function()
		{
			this.obj.find("tbody [role='empty_row']").remove();
		},
		/*
		 * 获取单行数据
		 */
		getRowData:function(index)
		{
			return (this.objData.length > index)?this.objData[index]:{};
		},
		/*
		* 显示loading加载框
		*/
		showLoading:function()
		{
			var  viewObj = this.obj.find(".grid-view");
			if (viewObj.length < 1) return;
			if (viewObj.find(".grid-view-loading").length > 0)
			{
				viewObj.find(".grid-view-loading").show();
			}
			else
			{
				viewObj.append("<div class='grid-view-loading'></div>");
			}
		},
		/*
		* 隐藏loading加载框
		*/
		hideLoading:function(){
			var  viewObj = this.obj.find(".grid-view");
			if (viewObj.length < 1) return;
			if (viewObj.find(".grid-view-loading").length > 0)
			{
				viewObj.find(".grid-view-loading").hide();
			}			

		},
		/*
		* 绑定分页
		*/
		bindPage:function(pageObj){
			if (this.page) return;
			this.paging = pageObj;


		}


	};
	exports.datagrid = DataTable;
	/*
	 * 页面分页
	 */
	var _pageOption = {
		pageSize : 25,   // 页面大小
		loadFunc : undefined,  //加载数据函数
		table:undefined, //如果与表格一起使用，则会传入table对象
		posType: 2 // 调用查询时候 pos 类似  1 返回查询起始条数， 2 返回查询页数
	}
	
	var DataPage = function(obj,option){
		var pageOption = _deepCopy(_pageOption);
		this.option = _updateObj(pageOption, option);
		this.curPage = 1;
		this.totalNum = 0;
		this.obj = obj;
		this.create();
	}
	
	
	DataPage.prototype.create = function(){

		var showText =''
					+  '<div class="datapage" >'
					+	   '<button role="firstBtn" class="page-btn" >'
					+	        '<a>首页</a>'
					+	    '</button>'
					+	   '<button role="preBtn" class="page-btn">'
					+	        '<a>上页</a>'
					+	    '</button>'
					+	    '<button role="nextBtn" class="page-btn">'
					+	        '<a>下页</a>'
					+	    '</button>'
					+	   '<button role="lastBtn" class="page-btn">'
					+	       '<a>尾页</a>'
					+	    '</button>'
					+       '<div class="page-box">'
					+			'<span class="page-label">跳转到&nbsp</span>'
					+           '<span><input type="text" role="jumpNum" class="page-num"></span>'
					+			'<span class="page-label">&nbsp页</span>'
					+			'<span role="showLabel" class="page-label"></span>'
					+           '<span role="sure" class="page-sure"><a>确定</a></span>'
					+		'</div>'
					+	'</div>';


		this.obj.append(showText);
		var that = this;
		this.obj.find('[role="preBtn"]').bind('click', function(event) {
		  that.prePage();
		});
		this.obj.find('[role="nextBtn"]').bind('click', function(event) {
		  that.nextPage();
		});
		this.obj.find('[role="firstBtn"]').bind('click', function(event) {
		  that.firstPage();
		});
		this.obj.find('[role="lastBtn"]').bind('click', function(event) {
		  that.lastPage();
		});
		this.obj.find('[role="sure"]').bind('click', function(event) {
		  var page = that.obj.find('[role="jumpNum"]').val()||"";
		  that.goPage(page);
		});
		this._showText();

	}

	DataPage.prototype.setCurPage = function(page){
		if (!isNaN(page))
		{
			this.curPage = parseInt(page);
			this._showText();
		}
	}

	DataPage.prototype.setOption = function(option){
		$.extend(this.option, option);
	}

	DataPage.prototype.setTotalNum = function(totalNum){
		var num = parseInt(totalNum);
		var tPage = 0;
		if (num != NaN)
		{
			tPage = parseInt(num / this.option.pageSize) + (num % this.option.pageSize != 0);	
		}
		this.totalNum = tPage;
		this._showText();

	}	
	
	DataPage.prototype._showText = function(){

		var t = "(共"+ this.totalNum + "页)";
		this.obj.find("[role='showLabel']").text(t);
		this.obj.find("[role='jumpNum']").val(this.curPage);
		this._enableBtn();
	}

	DataPage.prototype._enableBtn = function(){
		if (this.curPage < 2)
		{
			this.obj.find("[role='preBtn']").prop("disabled", true);
			this.obj.find("[role='firstBtn']").prop("disabled", true);
		}
		else
		{
			this.obj.find("[role='preBtn']").prop("disabled", false);
			this.obj.find("[role='firstBtn']").prop("disabled", false);
		}
		
		if (this.curPage < this.totalNum )
		{
			this.obj.find("[role='nextBtn']").prop("disabled", false);
			this.obj.find("[role='lastBtn']").prop("disabled", false);
		}
		else
		{
			this.obj.find("[role='nextBtn']").prop("disabled", true);
			this.obj.find("[role='lastBtn']").prop("disabled", true);
		}
	}	
	
	DataPage.prototype.queryData = function(){
		this.curPage = 1;
		this.refreshPage();
	}

	DataPage.prototype.lastPage = function(){
		if (this.curPage < this.totalNum)
		{
			this.curPage = this.totalNum;
			this.refreshPage();
		}
	}

	DataPage.prototype.nextPage = function(){
		if (this.curPage < this.totalNum)
		{
			this.curPage += 1;
			this.refreshPage();
		}
	}

	DataPage.prototype.firstPage = function(){

		if (this.curPage > 1 )
		{
			this.curPage = 1;
			this.refreshPage();
		}

	}

	DataPage.prototype.prePage = function(){

		if (this.curPage > 1 )
		{
			this.curPage -= 1;
			this.refreshPage();
		}

	}
	DataPage.prototype.goPage = function(num){
		if (this.totalNum == 0) return;
		if  (isNaN(num))
		{
			num = 1;
		}

		var page = parseInt(num) < 1? 1:Math.floor( parseInt(num));
		if (page > this.totalNum)
		{
			page = this.totalNum;
		}

		this.curPage = page;
		this.refreshPage();
	}
	DataPage.prototype.refreshPage = function(){
		this._showText();
		if (this.option.loadFunc == undefined) return;
		var pos = this.curPage;
		if (this.option.posType == 1) //返回其实行数
			pos = this.curPage * this.option.pageSize;
		this.option.loadFunc(pos, this.option.pageSize, this.option.table);
	}
	DataPage.prototype.clear = function(){
		this.obj.empty();
	}

	DataPage.prototype.show = function(){
		this.obj.show();
	}

	DataPage.prototype.hide = function(){
		this.obj.hide();
	}		

	$.fn.extend({
		datagrid:function(option)
		{
			var obj=$(this); 
			if (obj.length > 0 )
			{
				var table = new DataTable(obj, option);
				return table;
			}
		}
	});
	$.fn.extend({
		datapage:function(option)
		{
			var obj=$(this);
			option = option == undefined? {}:option; 
			if (obj.length > 0 )
			{
				var page = new DataPage(obj, option);
				return page;
			}
		}
	})	
	
	
})
